<?php

// QuickTalk 2.0 build:20090331

class cSection
{

// --------

var $domid;     // Domain id
var $domname;   // Domain name
var $id;        // Section id
var $idtitle;   // Section title
var $name;      // Section name (translation)
var $descr;     // Section descr (translation)
var $type;      // '0'=visible, '1'=hidden, '2'=hidden by user
var $status;    // '0'=actif, '1'=closed
var $notify=0;  // Notify: 0=disable, 1=enabled (new in version 2.0, not used)
var $modid;     // Moderator id
var $modname;   // Moderaotr name
var $numfield;  // Format of the ref number: 'N' means no ref number
var $sortfield; // Ticket default sort order
var $titlefield;// Topic title: 0=None, 1=Optional, 2=Mandatory
var $infofield; // Last column in the topic list: 'N' means no last column
//var $eventdate; // Topic eventdate: 0=None, 1=Optional, 2=Mandatory, 3=Date+time (optional), 4=Date+time (mandatory)
//var $wisheddate;// Topic wisheddate: 0=None, 1=Optional, 2=Mandatory
//var $notifycc;  // Topic alternate notify: 0=None, 1=Optional, 2=Mandatory
var $prefix;    // Prefix icon from the serie 'a'
var $logo;      // Ovewrite icon with an image-logo named s_x.gif/.jpeg/.jpg/.png (where x is the section id)
var $stats;     // Several stats
/* computed values */
var $lastpostid;
var $lastposttopic;
var $lastpostdate;
var $lastpostuser;
var $lastpostname;
var $topics=0;    // Total topics (including news)
var $replies=0;   // Total replies (type R and F), not D
var $tags=0;      // >0 means tags exists (may be several time the same!)

// -- Constructor method (accept an id, an array or a cSection as parameter) --

function cSection($aSection=null,$bLast=false)
{
  if ( isset($aSection) )
  {
    if ( is_int($aSection) )
    {
      if ( $aSection<0 ) die('No section '.$aSection);
      global $oDB;
      $oDB->Query('SELECT f.*,d.title as domtitle FROM '.TABSECTION.' f INNER JOIN '.TABDOMAIN.' d ON d.id=f.domainid WHERE f.id='.$aSection);
      $row = $oDB->Getrow();
      if ( $row===False )  die('No section '.$aSection);
      $this->MakeSectionFromArray($row);
    }
    elseif ( is_array($aSection) )
    {
      $this->MakeSectionFromArray($aSection);
    }
    elseif ( strtolower(get_class($aSection))=='csection' )
    {
      $this->domid        = $aSection->domid;
      $this->domname      = $aSection->domname;
      $this->id           = $aSection->id;
      $this->idtitle      = $aSection->idtitle;
      $this->name         = $aSection->name;
      $this->descr        = $aSection->descr;
      $this->type         = $aSection->type;
      $this->status       = $aSection->status;
      $this->stats        = $aSection->stats;
      $this->notify       = $aSection->notify;
      $this->modid        = $aSection->modid;
      $this->modname      = $aSection->modname;
      $this->numfield     = $aSection->numfield;
      $this->sortfield    = $aSection->sortfield;
      $this->titlefield   = $aSection->titlefield;
      $this->infofield    = $aSection->infofield;
      //$this->eventdate    = $aSection->eventdate;
      //$this->wisheddate   = $aSection->wisheddate;
      //$this->notifycc     = $aSection->notifycc;
      $this->prefix       = $aSection->prefix;
      $this->logo         = $aSection->logo;
      $this->lastpostid   = $aSection->lastpostid;
      $this->lastposttopic= $aSection->lastposttopic;
      $this->lastpostdate = $aSection->lastpostdate;
      $this->lastpostuser = $aSection->lastpostuser;
      $this->lastpostname = $aSection->lastpostname;
    }
    else
    {
      die('Invalid constructor parameter #1 for the class cSection');
    }
  }

  // Read stats
  
  $arr = $this->ReadStats($this->stats);
  if ( isset($arr['topics']) ) $this->topics = $arr['topics'];
  if ( isset($arr['replies']) ) $this->replies = $arr['replies'];
  if ( isset($arr['tags']) ) $this->tags = $arr['tags'];
  
  // Find last post
  
  if ( $bLast ) $this->GetSectionLastPost();
  
  // Default sort order
  
  if ( empty($this->sortfield) ) $this->sortfield='lastpostdate';

  if ( $bLast ) $this->GetSectionLastPost();
}

// --------

function MakeSectionFromArray($aSection)
{
  foreach($aSection as $strKey=>$oValue) {
  switch ($strKey) {
    case 'domainid':     $this->domid     = intval($oValue); break;
    case 'id':           $this->id        = intval($oValue); break;
    case 'title':        $this->idtitle   = $oValue; break;
    case 'type':         $this->type      = intval($oValue); break;
    case 'status':       $this->status    = intval($oValue); break;
    case 'stats':        $this->stats     = $oValue; break;
    case 'notify':       $this->notify    = intval($oValue); break;
    case 'moderator':    $this->modid     = $oValue; break;
    case 'moderatorname':$this->modname   = $oValue; break;
    case 'numfield':     $this->numfield  = $oValue; break;
    case 'sortfield':    $this->sortfield = $oValue;break;
    case 'titlefield':   $this->titlefield= intval($oValue); break;
    case 'infofield':    $this->infofield = $oValue; break;
    //case 'eventdate':    $this->eventdate = intval($oValue); break;
    //case 'wisheddate':   $this->wisheddate= intval($oValue); break;
    //case 'alternate':    $this->notifycc  = intval($oValue); break;
    case 'prefix':       $this->prefix    = $oValue; break;
    case 'logo':         $this->logo      = $oValue; break;
  }}
  $this->name = ObjectName('sec','s'.$this->id,$this->idtitle);
  $this->descr = ObjectName('secdesc','s'.$this->id,false);
  $this->domname= ObjectName('domain','d'.$this->domid,'(domain '.$this->domid.')');
}

// --------

function GetLogo()
{
  if ( !empty($this->logo) )
  {
  if ( file_exists('upload/section/'.$this->logo) ) return 'upload/section/'.$this->logo;
  }
  return $_SESSION[QT]['skin_dir'].'/ico_section_'.$this->type.'_'.$this->status.'.gif';
}

// --------

function GetSectionLastPost()
{
  $this->lastpostid = null;
  $this->lastposttopic = null;
  $this->lastpostdate = null;
  $this->lastpostuser = null;
  $this->lastpostname = null;
  if ( $this->id<0 ) return null;
  if ( $this->topics==0 ) return null;

  global $oDB;

  // attention: this subquery requires mysql 4.1 (thus, use here two queries)
  $oDB->Query('SELECT MAX(id) as maxid FROM '.TABPOST.' WHERE forum='.$this->id);
  $row = $oDB->Getrow();
  $intIdlast = $row['maxid'];
  if ( is_numeric($intIdlast) )
  {
    $strQ = 'SELECT id,topic,issuedate,userid,username FROM '.TABPOST.' WHERE id='.$intIdlast;
    $oDB->Query($strQ);
    if ( $row=$oDB->Getrow() )
    {
    $this->lastpostid = intval($row['id']);
    $this->lastposttopic= intval($row['topic']);
    $this->lastpostdate = $row['issuedate'];
    $this->lastpostuser = intval($row['userid']);
    $this->lastpostname = $row['username'];
    }
  }
}

// --- [i] ---

function GetTagsUsed($intS=null,$intMax=20)
{
  // -1 to compute on all sections
  // maximum returned is $intMax distinct tags (from most recents active messages)
  // Allow instanciation
  
  if ( !isset($intS) ) $intS = $this->id;

  // Check

  if ( !is_int($intS) ) die('cSection->GetTagsUsed: Argument #1 must be integer');

  // Process

  $arrTags = array();  
  global $oDB;
  $oDB->Query( 'SELECT DISTINCT tags, lastpostdate FROM '.TABTOPIC.($intS==-1 ? '' : ' WHERE forum='.$intS).' ORDER BY lastpostdate DESC' );
  $i=0;
  while($row=$oDB->Getrow()) {
  if ( !empty($row['tags']) ) {

    $arr = explode(';',$row['tags']);
    foreach($arr as $str)
    {
      if ( !empty($str) ) {
      if ( !in_array($str,$arrTags) ) {
        $arrTags[$str] = $str;
        $i++;
        if ( $i>$intMax ) break;      
      }}
    }    
    if ( $i>$intMax ) break;
    
  }}
  if ( count($arrTags)>2 ) asort($arrTags);
  return $arrTags;
}

// --------

function MoveTopics($intSrc=-1,$intDest=0,$intRenum=1,$intTopic=-1,$bClosedOnly=false)
{
  if ( $intSrc<0 || $intDest<0 ) { echo 'cSection->MoveContent: Wrong source/destination id'; Return False; }
  if ( $intSrc==$intDest ) { echo 'cSection->MoveContent: Same source/destination id'; Return False; }

  global $oDB;
  
  $strTopic = '';
  $strPost = '';
  $strField = ''; if ( $intRenum==0 ) $strField = ', numid = 0';

  // if move only one topic
  if ( $intTopic>=0 )
  {
    $strTopic=" AND id=$intTopic";
    $strPost=" AND topic=$intTopic";
    if ( $intRenum==2 )
    {
    $nextnumid = Nextid(TABTOPIC,'numid','WHERE forum='.$intDest);
    $strField = ', numid='.intval($nextnumid);
    }
    $bClosedOnly=false;
  }
  else
  {
    if ( $intRenum==2 )
    {
    $nextnumid = Nextid(TABTOPIC,'numid','WHERE forum='.$intDest);
    $oDB->Query('SELECT MIN(numid) as minnumid FROM '.TABTOPIC.' WHERE forum='.$intSrc);
    $row = $oDB->Getrow();
    $minnumid = $row['minnumid'];
    $strField = ", numid = $nextnumid + (numid - $minnumid)";
    }
  }

  // update topics and posts

  if ( $bClosedOnly )
  {
    $arr = array();
    $oDB->Query('SELECT id FROM '.TABTOPIC.' WHERE forum='.$intSrc.' AND status="1" AND type="T"');
    while($row=$oDB->Getrow())
    {
      $arr[] = $row['id'];
    }
    foreach($arr as $intKey=>$intSection)
    {
    $oDB->Query('UPDATE '.TABTOPIC." SET forum=$intDest $strField WHERE id=$intSection");
    $oDB->Query('UPDATE '.TABPOST." SET forum=$intDest WHERE topic=$intSection");
    }
  }
  else
  {
    $oDB->Query( 'UPDATE '.TABTOPIC." SET forum=$intDest $strField WHERE forum=$intSrc $strTopic" );
    $oDB->Query( 'UPDATE '.TABPOST." SET forum=$intDest WHERE forum=$intSrc $strPost" );
  }

  // stats

  UpdateSectionStats($intSrc);
  UpdateSectionStats($intDest);
}

// --------

function DeleteTopics($intSection=-1,$bClosedOnly=false)
{
  // Check

  if ( $intSection<0 ) die('cSection->DeleteContent: Wrong section id [-1]');

  // Process - delete topics and posts
  
  global $oDB;
  
  if ( $bClosedOnly )
  {
    $arr = array();
    $oDB->Query('SELECT id FROM '.TABTOPIC.' WHERE forum='.$intSection.' AND status="1" AND type="T"');
    while($row=$oDB->Getrow())
    {
      $arr[] = $row['id'];
    }
    foreach($arr as $intKey=>$id)
    {
      $oDB->Query('DELETE FROM '.TABPOST.' WHERE topic='.$id);
      $oDB->Query('DELETE FROM '.TABTOPIC.' WHERE id='.$id);
    }
    UpdateSectionStats($intSection);
  }
  else
  {
    $oDB->Query('DELETE FROM '.TABPOST.' WHERE forum='.$intSection);
    $oDB->Query('DELETE FROM '.TABTOPIC.' WHERE forum='.$intSection);
    $oDB->Query('UPDATE '.TABSECTION.' SET topics=0, replies=0 WHERE id='.$intSection);
  }
}

// --------

function Count($str='topics',$intS=null,$d=10)
{
  // Allow instanciation
  
  if ( !isset($intS) ) $intS = $this->id;

  // Check
  if ( $intS<0 )
  {
    echo get_class($this).'->CountNews: Wrong section id -1';
    Return False;
  }

  // Process
  
  global $oDB;

  switch($str)
  {
  case 'topics': $oDB->Query('SELECT count(id) as countid FROM '.TABTOPIC.' WHERE forum='.$intS); break;
  case 'news':   $oDB->Query('SELECT count(id) as countid FROM '.TABTOPIC.' WHERE forum='.$intS.' AND type="A"'); break;
  case 'closed': $oDB->Query('SELECT count(id) as countid FROM '.TABTOPIC.' WHERE status="1" AND forum='.$intS.' AND type="T"'); break;
  case 'unreplied':
    if ( $d<1 ) die('Wrong day in section->CountUnreplies');
    $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE forum='.$intS.' AND replies=0 AND firstpostdate<"'.DateAdd(date('Ymd His'),-$d,'day').'"' );
    break;
  case 'unrepliednews':
    if ( $d<1 ) die('Wrong day in section->CountUnreplies');
    $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE forum='.$intS.' AND type="A" AND replies=0 AND firstpostdate<"'.DateAdd(date('Ymd His'),-$d,'day').'"' );
    break;
  default: return 0;
  }
  //return value
  $row = $oDB->Getrow();
  return intval($row['countid']);
}

// --- [i] ---

function ReadStats($str='')
{
  $arrStats = array();
  if ( empty($str) ) return $arrStats;
  $arr = explode(';',$str);
  foreach($arr as $str)
  {
    $a = explode('=',$str);
    if ( count($a)==2 ) $arrStats[$a[0]]=$a[1];
  }
  return $arrStats;
}

// --------

}

?>