<?php

// QuickTalk 2.0.2 build:20090410

// -----------------
// Connection config
// -----------------
require_once('bin/config.php');
if ( isset($qtf_install) ) { define('QT','qtf'.substr($qtf_install,-1)); } else { define('QT','qtf'); }

// -----------------
// System constants (CANNOT be changed by webmasters)
// -----------------
define('TABDOMAIN', $qtf_prefix.'qtadomain');
define('TABSECTION', $qtf_prefix.'qtaforum');
define('TABUSER', $qtf_prefix.'qtauser');
define('TABTOPIC', $qtf_prefix.'qtatopic');
define('TABPOST',  $qtf_prefix.'qtapost');
define('TABSETTING', $qtf_prefix.'qtasetting');
define('TABLANG',  $qtf_prefix.'qtalang');
define('QTFVERSION', '2.0.2 build:20090410');
define('QSEL', ' selected="selected"');
define('QCHE', ' checked="checked"');
define('QDIS', ' disabled="disabled"');
define('N', "\n");
define('S', '&nbsp;');

// -----------------
// Interface constants (can be changed by webmasters)
// -----------------
define('QTF_CHANGE_USERNAME', true);// allow users to change their username (login). False = only administrators can change the username.
define('QTF_SHOW_CONTRAST', true);  // allow user to change contrast/normal mode
define('QTF_HOTTOPICS',     10);    // Number of replies to become hottopic. Use FALSE to disable hottopic icon
define('QTF_BACKBUTTON', '&nbsp;&laquo;&nbsp;'); // use FALSE to hide backbutton
define('QTF_DFLT_VIEWMODE', 'N');   // default view mode: N=normal view, C=compact view
define('QTF_SHOW_VIEWMODE', true);  // allow user to change view mode
define('QTF_SHOW_PRINT',    true);  // allow user to get a print style
define('QTF_SHOW_TIME',     true);  // show time in the bottom bar
define('QTF_SHOW_MODERATOR',true);  // show moderator in the bottom bar
define('QTF_SHOW_GOTOLIST', true);  // show gotolist in the bottom bar
define('QTF_SHOW_DOMAIN',   false); // show domain + forum name in the crumbtrail bar and gotolist
define('QTF_CRUMBTRAIL', ' &middot; '); // crumbtrail separator (dont forget spaces)
define('QTF_MENUSEPARATOR', ' &middot; '); // bottom menu separator (dont forget spaces)
define('QTF_CONVERT_AMP',   false); // save &amp; instead of &. Use TRUE to make &#0000; symbols NOT working.
define('QTF_DIR_DOC', 'upload/'); // where to store uploaded files, if allowed, (with final '/')
define('QTF_DIR_PIC', 'avatar/'); // where to store avatar images, if allowed, (with final '/')
define('QTF_LIST_ME',       false); // execute the 'i-replied' search in section list. Set False to improve speed.
define('QTF_LIST_TAG',      true);  // display a quick search link for the tags in section list.
define('QTF_JAVA_MAIL',     false); // Protect e-mail by a javascript

// -----------------
// Class and function definition
// -----------------
require_once('bin/qt_lib_txt.php');
require_once('bin/qt_lib_db.php');
require_once('bin/qt_lib_url.php');
require_once('bin/qtf_class_sys.php');
require_once('bin/qtf_class_vip.php');
require_once('bin/qtf_class_sec.php');
require_once('bin/qtf_class_topic.php');
require_once('bin/qtf_class_post.php');
require_once('bin/qtf_class_lang.php');
require_once('bin/qtf_fn_common.php');
require_once('bin/qtf_fn_html.php');

// -----------------
//  Installation wizard (if file exists)
// -----------------
if ( !isset($qtf_install) )
{
  if ( file_exists('install/index.php') )
  {
  echo 'QuickTalk ',QTFVERSION,' <a href="install/index.php">starting installation</a>...';
  echo '<meta http-equiv="REFRESH" content="1;url=install/index.php">';
  exit;
  }
}
if ( empty($qtf_install) )
{
  if ( file_exists('install/index.php') )
  {
  echo 'QuickTalk ',QTFVERSION,' <a href="install/index.php">starting installation</a>...';
  echo '<meta http-equiv="REFRESH" content="1;url=install/index.php">';
  exit;
  }
}

// ----------------
// Initialise Classes
// ----------------
$oDB  = new cDB($qtf_dbsystem,$qtf_host,$qtf_database,$qtf_user,$qtf_pwd,$qtf_port,$qtf_dsn);
if ( !empty($oDB->error) ) die ('<p><font color="red">Connection with database failed.<br/>Please contact the webmaster for further information.</font></p><p>The webmaster must check that server is up and running, and that the settings in the config file are correct for the database.</p>');
$oVIP = new cVIP();

// ----------------
// Load system parameters
// ----------------
if ( !isset($_SESSION[QT]) ) GetParam(true);

  // check major parameters
  if ( !isset($_SESSION[QT]['skin_dir']) ) $_SESSION[QT]['skin_dir']='skin/default';
  if ( !isset($_SESSION[QT]['language']) ) $_SESSION[QT]['language']='language/english';
  if ( !isset($_SESSION[QT]['lang_iso']) ) $_SESSION[QT]['lang_iso']='en';
  if ( empty($_SESSION[QT]['skin_dir']) ) $_SESSION[QT]['skin_dir']='skin/default';
  if ( empty($_SESSION[QT]['language']) ) $_SESSION[QT]['language']='language/english';
  if ( empty($_SESSION[QT]['lang_iso']) ) $_SESSION[QT]['lang_iso']='en';
  if ( substr($_SESSION[QT]['skin_dir'],0,5)!='skin/' ) $_SESSION[QT]['skin_dir'] = 'skin/'.$_SESSION[QT]['skin_dir'];
  if ( substr($_SESSION[QT]['language'],0,9)!='language/' ) $_SESSION[QT]['language'] = 'language/'.$_SESSION[QT]['language'];

if ( isset($_GET['lx']) )
{
  // check that value is valid (to avoid injection)
  require_once('bin/qtf_lang.php');
  if ( array_key_exists($_GET['lx'],$arrLang) )
  {
    $_SESSION[QT]['lx'] = $arrLang[$_GET['lx']][2];
    $_SESSION[QT]['lang_iso'] = $_GET['lx'];
    if ( isset($_SESSION['L']) ) $_SESSION['L'] = array();
  }
  else
  {
  $error = 'Wrong iso code language';
  }
}
if ( isset($_SESSION[QT]['lx']) ) $_SESSION[QT]['language'] = 'language/'.$_SESSION[QT]['lx'];

// ----------------
// Initialiase variable
// ----------------

$strExtracolumn = 'N';
$error = ''; // Required when server uses register_global_on
$warning = ''; // Required when server uses register_global_on
$strClock = gmdate($_SESSION[QT]['formattime'], time() + 3600*($_SESSION[QT]['time_zone']+$_SESSION[QT]['daylight']));
if ( $_SESSION[QT]['show_time_zone']=='1' )
{
  $strClock .= ' (gmt';
  if ( $_SESSION[QT]['time_zone']>0 )  { $strClock .= '+'.$_SESSION[QT]['time_zone'].')'; }
  if ( $_SESSION[QT]['time_zone']<0 )  { $strClock .= $_SESSION[QT]['time_zone'].')'; }
  if ( $_SESSION[QT]['time_zone']==0 ) { $strClock .= ')'; }
}
if ( !isset($_SESSION[QT]['viewmode']) ) $_SESSION[QT]['viewmode']=QTF_DFLT_VIEWMODE;

// ----------------
// Load dictionary
// ----------------
 
if ( !isset($_SESSION['L']) ) $_SESSION['L'] = array();
 
CheckDico('index',false);
CheckDico('domain',false);
CheckDico('sec',true);

include($_SESSION[QT]['language'].'/qtf_main.php');
include($_SESSION[QT]['language'].'/qtf_icon.php');

// ----------------
// Load topic status/type (use uppercase for ID)
// ----------------

$oSYS = new cSYS(); // must be at the end because uses language

?>