<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.0 build:20090331
 * @link       http://www.qt-cute.org/doc/package/qtf
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qtf_init.php');
include(Translate('qtf_adm.php'));

if ( $oVIP->role!='A' ) die($L['E_admin']);
if ( !isset($_GET['a'])) die('Wrong action');

// INITIALISE

$a = $_GET['a']; // mandatory action
$d = -1; // domain
$s = -1; // section
$t = -1; // topic
$p = -1; // post
$v = ''; // value
if (isset($_GET['s'])) $s = intval(strip_tags($_GET['s']));
if (isset($_GET['t'])) $t = intval(strip_tags($_GET['t']));
if (isset($_GET['p'])) $p = intval(strip_tags($_GET['p']));
if (isset($_GET['v'])) $v = strip_tags($_GET['v']);

$oVIP->selfurl  = 'qtf_adm_cmd.php';
$oVIP->selfname = 'QuickTalk command';

// --------
// EXECUTE COMMAND
// --------

switch($a)
{

// --------------
case 'deletedomain':
// --------------

  if ( $s<1 ) die('Wrong id '.$s);

  $oVIP->selfname = $L['Domain_del'];
  $oVIP->exiturl = 'qtf_adm_sections.php';
  $oVIP->exitname = '&laquo; '.$L['Sections'];

  // ask destination
  if ( !isset($_GET['ok']) )
  {
    $arrDomains = GetDomains();
    $strTitle = $arrDomains[$s];
    $arrSections = GetSectionTitles($oVIP->role,$s);

    // list the domain content
    if ( count($arrSections)==0 )
    {
      $strDcont = '<span class="small">0 '.$L['Section'].'</span>';
    }
    else
    {
      $strDcont = '';
      foreach($arrSections as $intKey=>$strValue)
      {
      $strDcont .= '<span class="small">'.$L['Section'].': '.$strValue.'</span><br/>';
      }
    }

    // list of domain destination

    if ( count($arrSections)>0 )
    {
      $arrDest = array(); // array_diff_key() not supported in php<5.1      
      foreach($arrDomains as $intKey=>$strValue) { if ( $intKey!=$s ) $arrDest[$intKey] = $strValue; }
      
      $strDest = '<tr class="tr">
      <td class="th_o th_o_first">'.$L['Sections'].'</td>
      <td class="td_o">
      <select name="d" size="1" class="small">'.QTastags($arrDest,$L['Move_to'].': %s').'</select>
      </td>
      </tr>';
    }    
    else
    {
      $strDest = '';
    }

    // form
    $oVIP->EndMessage
    (
    NULL,
    '<form method="get" action="'.$oVIP->selfurl.'">
    <table class="data_o" cellspacing="0">
    <tr class="tr_o">
    <td class="th_o th_o_first" style="width:150px">'.$L['Title'].'</td>
    <td class="td_o"><b>'.$strTitle.'</b></td>
    </tr>
    <tr class="data_o">
    <td class="th_o th_o_first">'.$L['Containing'].'</td>
    <td class="td_o">'.$strDcont.'</td>
    </tr>'.N.$strDdest.'
    <tr class="data_o">
    <td class="th_o th_o_first">&nbsp;</td>
    <td class="td_o"><input type="hidden" name="a" value="'.$a.'"/><input type="hidden" name="s" value="'.$s.'"/><input type="submit" name="ok" value="'.$L['Delete'].'"/></td>
    </tr>
    </table>
    </form>',
    'admin',
    0,
    '600px'
    );
    exit;
  }

  // delete domain
  if ( $t>=0) $oDB->Query('UPDATE '.TABSECTION." SET domainid=$t WHERE domainid=$s");
  $oDB->Query('DELETE FROM '.TABDOMAIN." WHERE id=$s");
  cLang::Delete('domain','d'.$s);

  $_SESSION['L'] = array();
  if ( isset($_SESSION[QT]['sys_sections']) ) unset($_SESSION[QT]['sys_sections']);

  // exit
  $oVIP->EndMessage(NULL,$L['S_delete'],'admin',2);
  exit;
  break;

// --------------
case 'deletesection':
// --------------

  if ( $s<1 ) die('Wrong id '.$s);

  $oVIP->selfname = $L['Section_del'];
  $oVIP->exiturl  = 'qtf_adm_sections.php';
  $oVIP->exitname = '&laquo; '.$L['Sections'];

  $oSEC = new cSection($s);

  // ask confirmation
  if ( !isset($_GET['ok']) )
  {  
    $oVIP->EndMessage
    (
    NULL,
    '<form method="get" action="'.$oVIP->selfurl.'">
    <table class="data_o" cellspacing="0">
    <tr class="data_o">
    <td class="th_o th_o_first" style="width:150px">'.$L['Section'].'</td>
    <td class="td_o">'.$oSEC->name.'</td>
    </tr>
    <tr class="data_o">
    <td class="th_o th_o_first">'.$L['Containing'].'</td>
    <td class="td_o">'.LangS('Topic',$oSEC->topics).', '.LangS('Reply',$oSEC->replies).'</td>
    </tr>
    '.( $oSEC->topics>0 ? '<tr class="data_o"><td class="th_o th_o_first">&nbsp;</td><td class="td_o"><i><b>'.$L['H_Topics_delete'].'</b></i></td></tr>': '').'
    <tr class="data_o">
    <td class="th_o th_o_first">&nbsp;</td>
    <td class="td_o">
    <input type="hidden" name="a" value="'.$a.'"/>
    <input type="hidden" name="s" value="'.$s.'"/>
    <input type="submit" name="ok" value="'.$L['Delete'].'"/>'.( $oSEC->topics>0 ? '&nbsp;&nbsp;<a href="qtf_adm_cmd.php?a=topicmoveall&amp;s='.$s.'&amp;d=10">'.$L['Adm_topics_move'].' &raquo;</a>' : '').'</td>
    </tr>
    </table>
    </form>',
    'admin',
    0,
    '600px'
    );
    exit;
  }

  // delete section
  $oSEC->DeleteTopics($s);
  $oDB->Query('DELETE FROM '.TABSECTION.' WHERE id='.$s);
  cLang::Delete('sec','s'.$s);
  cLang::Delete('secdesc','s'.$s);

  $_SESSION['L'] = array();
  if ( isset($_SESSION[QT]['sys_sections']) ) unset($_SESSION[QT]['sys_sections']);

  // exit
  $oVIP->EndMessage(NULL,$L['S_delete'],'admin',2);
  exit;
  break;

// --------------
case 'topicdeleteall':
// --------------

  if ( $s<0 ) die('Wrong id '.$s);
  $days = $_GET['d'];

  $oVIP->selfname = $L['Adm_topics_delete'];
  $oVIP->exiturl  = 'qtf_adm_topic.php?d='.$days;
  $oVIP->exitname = '&laquo; '.$L['Topics'];

  $oSEC = new cSection($s);
  $intClosed = $oSEC->Count('closed');
  $intNews = $oSEC->Count('news');

  // ask confirmation

  if ( !isset($_GET['ok']) )
  {
    $oVIP->EndMessage
    (
    NULL,
    '<form method="get" action="'.$oVIP->selfurl.'">
    <table cellspacing="0" class="data_o">
    <tr>
    <td class="th_o th_o_first" style="width:150px;">'.$L['Section'].'</td>
    <td class="td_o">'.$oSEC->name.'</td>
    </tr>
    <tr>
    <td class="th_o th_o_first">'.$L['Containing'].'</td>
    <td class="td_o">'.LangS('Topic',$oSEC->topics).' ('.LangS('News',$intNews).', '.LangS('Reply',$oSEC->replies).')</td>
    </tr>
    <tr>
    <td class="th_o th_o_first">&nbsp;</td>
    <td class="td_o"><i><b>'.$L['H_Topics_delete'].'</b></i></td>
    </tr>
    <tr>
    <td class="th_o th_o_first">&nbsp;</td>
    <td class="td_o">
    <input type="hidden" name="a" value="'.$a.'"/>
    <input type="hidden" name="s" value="'.$s.'"/>
    <input type="hidden" name="d" value="'.$days.'"/>
    <input type="submit" name="ok" value="'.$L['Delete'].'"/> <span class="small">('.$oSEC->topics.')</span>&nbsp;&nbsp;'.( $intClosed>0 ? ' <input type="submit" name="ok" value="'.$L['Delete_closed'].'"/> <span class="small">('.$intClosed.')</span>' : '').'</td>
    </tr>
    </table>
    </form><br/>',
    'admin',
    0,
    '600px'
    );
    exit;
  }

  // delete topics
  
  if ( $_GET['ok']==$L['Delete'] )
  {
  $oSEC->DeleteTopics($s);
  }
  else
  {
  $oSEC->DeleteTopics($s,true);
  }

  // exit
  $oVIP->EndMessage(NULL,$L['S_delete'],'admin',2);
  exit;
  break;

// --------------
case 'topicmoveall':
// --------------

  if ( $s<0 ) die('Wrong id '.$s);
  $days = $_GET['d'];

  $oVIP->selfname = $L['Adm_topics_move'];
  $oVIP->exiturl  = 'qtf_adm_topic.php?d='.$days;
  $oVIP->exitname = '&laquo; '.$L['Topics'];

  $oSEC = new cSection($s);
  $intClosed = $oSEC->Count('closed');
  $intNews =  $oSEC->Count('news');
  $arrSections = GetSectionTitles($oVIP->role,-1,$s);

  // ask confirmation
  if ( !isset($_GET['ok']) || $p<0 )
  {
    // list destinations
    $strFdest = QTastags($arrSections);

    // form
    $oVIP->EndMessage
    (
    NULL,
    '<form method="get" action="'.$oVIP->selfurl.'">
    <table cellspacing="0" class="data_o">
    <tr>
    <td class="th_o th_o_first" style="width:150px;">'.$L['Section'].'</td>
    <td class="td_o">'.$oSEC->name.'</td>
    </tr>
    <tr>
    <td class="th_o th_o_first">'.$L['Containing'].'</td>
    <td class="td_o">'.LangS('Topic',$oSEC->topics).' ('.LangS('News',$intNews).', '.LangS('Reply',$oSEC->replies).')</td>
    </tr>
    <tr>
    <td class="th_o th_o_first">'.$L['Move_to'].'</td>
    <td class="td_o"><select name="p" size="1">'.$strFdest.'</select></td>
    </tr>
    <tr class="data_o">
    <td class="th_o th_o_first">'.$L['Ref'].'</td>
    <td class="td_o"><select name="v" size="1">
    <option value="1">'.$L['Move_keep'].'</option>
    <option value="0">'.$L['Move_reset'].'</option>
    <option value="2">'.$L['Move_follow'].'</option>
    </select></td>
    </tr>
    <tr>
    <td class="th_o th_o_first">&nbsp;</td>
    <td class="td_o"><input type="hidden" name="a" value="'.$a.'"/>
    <input type="hidden" name="s" value="'.$s.'"/>
    <input type="hidden" name="d" value="'.$days.'"/>
    <input type="submit" name="ok" value="'.$L['Move'].'"/> <span class="small">('.$oSEC->topics.')</span>&nbsp;&nbsp;'.( $intClosed>0 ? ' <input type="submit" name="ok" value="'.$L['Move_closed'].'"/> <span class="small">('.$intClosed.')</span>' : '').'</td>
    </tr>
    </table>
    </form><br/>',
    'admin',
    0,
    '600px'
    );
    exit;
  }

  // move topics
  if ( $_GET['ok']==$L['Move'] )
  {
  $oSEC->MoveTopics($s,$p,intval($v));
  }
  else
  {
  $oSEC->MoveTopics($s,$p,intval($v),-1,true);
  }

  // exit
  $oVIP->EndMessage(NULL,$L['S_update'],'admin',2);
  exit;
  break;

// --------------
case 'topicprune':
// --------------

  if ( $s<0 ) die('Wrong id '.$s);
  $d = 10; if ( isset($_GET['d']) ) $d = intval($_GET['d']);
  if ( $d<1 ) die('Wrong day '.$d);
  $intTopics = 0;
  $intNews = 0;
  if ( isset($_GET['tt']) ) $intTopics = $_GET['tt'];
  if ( isset($_GET['ta']) ) $intNews = $_GET['ta'];

  include('bin/qtf_fn_limitsql.php');

  $intU = cSection::Count('unreplied',$s,$d);
  $intUN = cSection::Count('unrepliednews',$s,$d);

  $oVIP->selfname = $L['Adm_topics_prune'];
  $oVIP->exiturl = 'qtf_adm_topic.php?d='.$d;
  $oVIP->exitname = '&laquo;'.S.$L['Topics'];

  // ask confirmation
  if ( !isset($_GET['ok']) || ($intTopics+$intNews)==0 )
  {
    if ( isset($_GET['ok']) )
    {
      $error = '<span class="error">'.$L['E_nothing_selected'].'</span><br/>';
    }
    else
    {
      $error = '';
    }

    $oVIP->EndMessage
    (
    NULL,
    '<form method="get" action="'.$oVIP->selfurl.'"><table class="data_o" cellspacing="0">
    <tr class="data_o">
    <td class="th_o th_o_first" style="width:150px;">'.$L['Section'].'</td>
    <td class="td_o"><b>'.ObjTrans('sec',$s,"Section $s").'</b></td>
    </tr>
    <tr class="data_o">
    <td class="th_o th_o_first">'.$L['Containing'].'</td>
    <td class="td_o">'.LangS('Unreplied_topic',$intU).' ('.LangS('News',$intUN).')</td>
    </tr>
    <tr class="data_o">
    <td class="th_o th_o_first">'.$L['Delete'].'</td>
    <td class="td_o">
    <input type="checkbox" id="tt" name="tt" value="'.$intU.'"'.($intU==0 ? QDIS : '').'/>&nbsp;<label for="t">'.LangS('Topic',$intU).'</label><br/>
    <input type="checkbox" id="ta" name="ta" value="'.$intUN.'"'.($intUN==0 ? QDIS : '').'/>&nbsp;<label for="a">'.LangS('News',$intUN).'</label></td>
    </tr>
    <tr class="data_o">
    <td class="th_o th_o_first">&nbsp;</td>
    <td class="td_o"><i><b>'.sprintf($L['H_Topics_prune'],$d).'</b></i></td>
    </tr>
    <tr class="data_o">
    <td class="th_o th_o_first">&nbsp;</td>
    <td class="td_o">
    <input type="hidden" name="a" value="'.$a.'"/>
    <input type="hidden" name="d" value="'.$d.'"/>
    <input type="hidden" name="s" value="'.$s.'"/>
    <input type="submit" name="ok" value="'.$L['Delete'].'"/>
    </td></tr>
    </table></form><br/>'.$error,
    'admin',
    0,
    '600px'
    );
    exit;
  }
  
  // dflt topics
  if ( $intTopics>0 )
  {
    $oDB->Query( 'SELECT t.id FROM '.TABTOPIC.' t WHERE t.forum='.$s.' AND t.replies=0 AND t.type="T" AND t.firstpostdate<"'.DateAdd(date('Ymd His'),-$d,'day').'"' );
    $strId = '';
    while ($row = $oDB->Getrow())
    {
      $strId .= $row['id'].',';
    }
    if ( !empty($strId) )
    {
      $strId = substr($strId,0,-1);
      // delete posts and topics
      $oDB->Query( 'DELETE FROM '.TABPOST.' WHERE topic IN ('.$strId.')' );
      $oDB->Query( 'DELETE FROM '.TABTOPIC.' WHERE id IN ('.$strId.')' );
    }
  }

  // news topics
  if ( $intNews>0 )
  {
    $oDB->Query( 'SELECT t.id FROM '.TABTOPIC.' t WHERE t.forum='.$s.' AND t.replies=0 AND t.type="A" AND t.firstpostdate<"'.DateAdd(date('Ymd His'),-$d,'day').'"' );
    $strId = '';
    while ($row = $oDB->Getrow())
    {
      $strId .= $row['id'].',';
    }
    if ( !empty($strId) )
    {
      $strId = substr($strId,0,-1);
      // delete posts and topics
      $oDB->Query( 'DELETE FROM '.TABPOST.' WHERE topic IN ('.$strId.')' );
      $oDB->Query( 'DELETE FROM '.TABTOPIC.' WHERE id IN ('.$strId.')' );
    }
  }

  // count topics this forum
  UpdateSectionStats($s);

  // exit
  $oVIP->EndMessage(NULL,$L['S_delete'],'admin',2);
  exit;
  break;

// --------------
default:
// --------------

  echo 'Unknown action';
  break;

// --------------
}

$oVIP->EndMessage('!','Command ['.$a.'] failled...',$_SESSION[QT]['skin_dir'],2);

?>