<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.0 build:20090331
 * @link       http://www.qt-cute/doc/package/qtf
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 *
 */

session_start();
require_once('bin/qtf_init.php');
include(Translate('qtf_adm.php'));

if ( $oVIP->role!='A' ) die($L['E_admin']);

// INITIALISE

include('bin/qtf_fn_limitsql.php');

$days = 10;
if ( isset($_GET['d']) ) $days = intval($_GET['d']);

$oVIP->selfurl = 'qtf_adm_topic.php';
$oVIP->selfname = '<span class="upper">'.$L['Adm_content'].'</span><br/>'.$L['Topics'];
$oVIP->exitname = '&laquo; '.$L['Topics'];

// --------
// SUBMITTED
// --------

if ( isset($_POST['ok']) )
{
  $days = intval(trim($_POST['days']));
  if ( !QTisbetween($days,1,99) )
  {
  $error = $L['Days'].S.$L['E_invalid'].' (1-99)';
  $days = 10;
  }
}

// --------
// HTML START
// --------

include('qtf_adm_p_header.php');
include('qtf_adm_p_title.php');

$arrDomains = GetDomains();

echo '<table class="data_o" cellspacing="0">
<colgroup span="6">
<col width="50"></col>
<col></col>
<col></col>
<col></col>
<col></col>
<col></col>
</colgroup>
<tr class="data_o">
<td class="th_o" colspan="2">',$L['Domain'],'/',$L['Section'],'</td>
<td class="th_o th_o_all" style="text-align:center;">',$L['Topics'],'&nbsp;</td>
<td class="th_o th_o_all" style="text-align:center;">',$L['Replys'],'&nbsp;</td>
<td class="th_o th_o_all" style="text-align:center;">',$L['Unreplied'],'*&nbsp;</td>
<td class="th_o th_o_all" style="text-align:center;">',$L['Action'],'&nbsp;</td>
</tr>',N;

foreach($arrDomains as $intDomid=>$strDomtitle)
{

  echo '<tr class="data_o"><td class="td_o_all" colspan="6">',$strDomtitle,'</td></tr>',N;

  // GET SECTIONS (with hidden)

  $arrSections = GetSectionTitles('A',$intDomid);
  foreach($arrSections as $intKey=>$strValue)
  {
    $oSEC = new cSection($intKey);
    $intN  = $oSEC->Count('news');
    $intU  = $oSEC->Count('unreplied',null,$days);

    echo '<tr class="data_o">';
    echo '<td class="td_o" style="text-align:center">',AsImg($oSEC->GetLogo(),'S',$L['Ico_section_'.$oSEC->type.'_'.$oSEC->status],'ico i_sec'),'</td>';
    echo '<td class="td_o"><b>',$oSEC->name,'</b><br/><span class="small">',$L['Section_type'][$oSEC->type],($oSEC->status=='1' ? '('.$L['Section_status'][1].')' : ''),'</span></td>';
    echo '<td class="td_o" style="text-align:center;">',$oSEC->topics,'</td>';
    echo '<td class="td_o" style="text-align:center;">',$oSEC->replies,'</td>';
    echo '<td class="td_o" style="text-align:center;">',$intU,'</td>';
    echo '<td class="td_o" style="text-align:center;">';
    if ( $oSEC->topics>0 )
    {
    echo '<a class="small" href="qtf_adm_cmd.php?a=topicmoveall&amp;s=',$oSEC->id,'&amp;d=',$days,'">',$L['Move'],'</a> &middot; ';
    echo '<a class="small" href="qtf_adm_cmd.php?a=topicdeleteall&amp;s=',$oSEC->id,'&amp;d=',$days,'">',$L['Delete'],'</a> &middot; ';
    }
    else
    {
    echo '<span class="disabled">',$L['Move'],'</span> &middot; ';
    echo '<span class="disabled">',$L['Delete'],'</span> &middot; ';
    }
    if ( $intU>0 )
    {
    echo '<a class="small" href="qtf_adm_cmd.php?a=topicprune&amp;s=',$oSEC->id,'&amp;d=',$days,'">',$L['Prune'],'</a>';
    }
    else
    {
    echo '<span class="disabled">',$L['Prune'],'</span>';
    }
    echo '</td></tr>',N;
  }
}
echo '</table>
<br/><form method="post" action="',$oVIP->selfurl,'">
<fieldset style="width:450px; padding:5px; text-align:right;">
<legend>*',$L['Unreplied'],'</legend>';
printf($L['H_Unreplied'],'<input type="text" name="days" size="2" maxlength="2" value="'.$days.'" class="small"/>');
echo '&nbsp;<input type="submit" name="ok" value="',$L['Ok'],'"/><br/>
</fieldset>
</form><br/>',N;

// HTML END

include('qtf_adm_p_footer.php');

?>