<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.0 build:20090331
 * @link       http://www.qt-cute/doc/package/qtf
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qtf_init.php');

$oVIP->selfurl = 'qtf_index.php';

// --------
// SECURITY
// --------

if ( $_SESSION[QT]['board_offline']=='1' ) HtmlPage(0);
if ( $_SESSION[QT]['visitor_right']<1 && $oVIP->role=='V' ) HtmlPage(101);

// --------
// INITIALIZE
// --------

$arrDomains = GetDomains();
$intDom = 0;
$intSec = 0;

// --------
// HTML START
// --------

include('qtf_p_header.php');

// END IF NO DOMAIN
if ( count($arrDomains)==0 )
{
echo '<br/>',$L['E_no_public_section'],'<br/><br/>';
include('qtf_p_footer.php');
exit;
}

foreach($arrDomains as $intDomid=>$strDomtitle)
{
  $arrSections = GetSections($oVIP->role,$intDomid);

  if ( count($arrSections)>0 )
  {
    $intDom++;
    if ( $intDom>1 ) echo '<!-- domain separator -->',N,'<div class="dom_separator"></div>',N;

    echo '<!-- domain ',$intDomid,': ',$strDomtitle,' -->',N;
    echo '<table class="data_s" cellspacing="0">',N;
    echo '<colgroup span="5"><col></col><col></col><col width="150"></col><col width="60"></col><col width="60"></col></colgroup>',N;
    echo '<tr class="data_s">',N;
    echo '<td class="th_s th_s_ico th_s_first">',S,'</td>',N;
    echo '<td class="th_s th_s_tit">',$strDomtitle,'</td>',N;
    echo '<td class="th_s th_s_inf">',$L['Last_message'],'</td>',N;
    echo '<td class="th_s th_s_sta">',$L['Topics'],'</td>',N;
    echo '<td class="th_s th_s_sta th_s_last">',$L['Replys'],'</td>',N;
    echo '</tr>',N;

    // SHOW SECTIONS
    
    $strAlt='r1';

    foreach($arrSections as $intSection=>$arrSection)
    {
      $intSec++;
      $oSEC = new cSection($arrSection,true);
      
      echo '<tr class="data_s ',$strAlt,'">',N;
      echo '<td class="td_s td_s_ico ',$strAlt,' td_s_first">',AsImg($oSEC->GetLogo(),'F',$L['Ico_section_'.$oSEC->type.'_'.$oSEC->status],'ico i_sec','','qtf_topics.php?s='.$oSEC->id),'</td>',N;
      echo '<td class="td_s td_s_tit ',$strAlt,'"><a class="section" href="qtf_topics.php?s=',$oSEC->id,'" >',$oSEC->name,'</a><br/><span class="sectiondesc">',$oSEC->descr,'</span></td>',N;
      echo '<td class="td_s td_s_inf ',$strAlt,'">',N;
      if ( $oSEC->topics<1 )
      {
      echo S;
      }
      else
      {
        if ( isset($oSEC->lastpostid) )
        {
        echo QTdatestr($oSEC->lastpostdate,'$','$',true,true,true);
        echo ' <a href="qtf_topic.php?s=',$oSEC->id,'&amp;t=',$oSEC->lastposttopic,'#p',$oSEC->lastpostid,'" title="',$L['H_Goto_message'],'">',$L['Goto_message'],'</a><br/>',strtolower($L['By']).' <a href="qtf_usr.php?id=',$oSEC->lastpostuser,'" title="',$L['Ico_user_p_1'],'" class="small">',$oSEC->lastpostname,'</a>';
        }
        else
        {
        echo S;
        }
      }
      echo '</td>',N;
      echo '<td class="td_s td_s_sta ',$strAlt,'">',$oSEC->topics,'</td>',N;
      echo '<td class="td_s td_s_sta ',$strAlt,' td_s_last">',$oSEC->replies,'</td>',N;
      echo '</tr>',N;
      if ( $strAlt=='r1' ) { $strAlt='r2'; } else { $strAlt='r1'; }
    }

    echo '<tr class="data_s">',N;
    echo '<td class="tf_s tf_s_first"></td>',N;
    echo '<td class="tf_s"></td>',N;
    echo '<td class="tf_s"></td>',N;
    echo '<td class="tf_s"></td>',N;
    echo '<td class="tf_s tf_s_last"></td>',N;
    echo '</tr>',N;
    echo '</table>',N;
  }
}

// HTML END

if ( isset($oSEC) ) unset($oSEC);
include('qtf_p_footer.php');

?>