<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.0.1 build:20090406
 * @link       http://www.qt-cute/doc/package/qtf
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qtf_init.php');
if ( !$oVIP->CanAccess('MUV',4) ) $oVIP->EndMessage('!',$L['R_member'],$_SESSION[QT]['skin_dir'],0);

// CHANGE USER INTERFACE

if (isset($_GET['view'])) $_SESSION[QT]['viewmode'] = substr($_GET['view'],0,1);

// INITIALISE

include('bin/qtf_fn_limitsql.php');

$bMap = UseModule('map');
if ( $bMap ) { require_once('qtfm_map_lib.php'); if ( !QTgcanmap('U') ) $bMap=false; }
if ( $bMap ) include(Translate('qtfm_map.php'));

// Protection against injection: 'order','group','dir' are controlled
$strGroup = 'all';
$strOrder = 'name';
$strDirec = 'ASC';
$intLimit = 0;
$intPage  = 1;
if ( isset($_GET['group']) ) { $strGroup = substr($_GET['group'],0,3); } // protection against injection
if ( isset($_GET['page']) )  { $intLimit = (intval($_GET['page'])-1)*$_SESSION[QT]['topics_per_page']; $intPage = intval($_GET['page']); }
if ( isset($_GET['order']) ) { $strOrder = strip_tags(substr($_GET['order'],0,15)); } // protection against injection
if ( isset($_GET['dir']) )   { if ( $_GET['dir']=='DESC' ) $strDirec = 'DESC'; }      // protection against injection

$oVIP->selfurl = 'qtf_members.php';
$oVIP->selfname = $L['Memberlist'];

// --------
// HTML START
// --------

if ( $bMap )
{ 
  $arrMapPoints = array();
  $strHeadScript = QTgmapheader('http://gmaps-utility-library.googlecode.com/svn/trunk/markermanager/release/src/markermanager.js');
  $strBodyAddOnunload='GUnload()';
}

$bJava=true;
include('qtf_p_header.php');

// --------
// Title and top 5
// --------

// make groups line

$strGroups = '<td class="button_small" style="width:35px;">'.($strGroup=='all' ? '<b>'.$L['All'].'</b>' : '<a class="button" href="'.$oVIP->selfurl.'?group=all">'.$L['All'].'</a>' ).'</td>';
for ($g='A';$g!='AA';$g++)
{
$strGroups .= '<td class="button_small" style="width:18px;">'.($strGroup==$g ? '<b>'.$g.'</b>' : '<a class="button" href="'.$oVIP->selfurl.'?group='.$g.'">'.$g.'</a>' ).'</td>';
}
$strGroups .= '<td class="button_small" style="width:18px;">'.($strGroup=='#' ? '<b>#</b>' : '<a class="button" href="'.$oVIP->selfurl.'?group=#">#</a>' ).'</td>';
$strGroups .= '<td class="hidden">&nbsp;</td>';

  // refine query
  Switch ($strGroup)
  {
  Case 'all': $where = ' WHERE id>0'; Break;
  Case '#':   $where = ' WHERE id>0 AND '.FirstCharCase('name','a-z'); Break;
  Default:    $where = ' WHERE id>0 AND '.FirstCharCase('name','u').'="'.$strGroup.'"'; Break;
  }

  // count query
  if ($strGroup=='all')
  {
  $intCount = $_SESSION[QT]['sys_members'];
  }
  else
  {
  $oDB->Query('SELECT count(id) as countid FROM '.TABUSER.$where);
  $row = $oDB->Getrow();
  $intCount = $row['countid'];
  }

// header

echo '<table class="hidden" cellspacing="0">',N;
echo '<tr class="hidden">',N;
echo '<td class="hidden"><h2>',$oVIP->selfname,'</h2><p>',( $strGroup=='all' ? $_SESSION[QT]['sys_members'].' '.$L['Users'] : $intCount.' / '.$_SESSION[QT]['sys_members'].' '.$L['Users'] );
if ( CanPerform("show_calendar",$oVIP->role) ) 
{
echo '&nbsp;&middot;&nbsp;<a href="qtf_calendar.php',(empty($row['birthday']) ? '' : '?m='.substr($row['birthday'],4,2)),'">',$L['Birthdays_calendar'],'</a>';
}
echo '</p></td>',N;
echo '<td class="hidden" style="width:170px;">',N;
echo '<div class="legendbox">',N;
echo '<p class="legendtitle">',$L['Top_participants'],'</p>',N;
echo '<table class="hidden" cellspacing="0">',N;

//-- LIMIT QUERY --
$strState = 'name, id, numpost FROM '.TABUSER.' WHERE id>0';
$oDB->Query( LimitSQL($strState,'numpost DESC',0,5) );
// --------

For ($i=0;$i<5;$i++)
{
$row = $oDB->Getrow();
if (!$row) break;
echo '<tr><td style="text-align:left"><a href="qtf_usr.php?id=',$row['id'],'">',$row['name'],'</a></td><td style="text-align:right">',$row['numpost'],'</td></tr>',N;
}
echo '</table>',N,'</div>',N;
echo '</td>',N;
echo '</tr>',N;
echo '</table>',N,N;

// --------
// Button line and pager
// --------

// -- build pager --

$strPager = MakePager("qtf_members.php?group=$strGroup&order=$strOrder&dir=$strDirec",$intCount,$_SESSION[QT]['topics_per_page'],$intPage);
if ( !empty($strPager) ) $strPager = $L['Page'].$strPager;
if ( $intCount<$_SESSION[QT]['sys_members'] ) $strPager = '<span class="small">'.$intCount.' '.$L['Selected_from'].' '.$_SESSION[QT]['sys_members'].' '.strtolower($L['Users']).'</span>'.(empty($strPager) ? '' : ' | '.$strPager);

// -- Display button line (if more that tpp users) and pager --

if ($_SESSION[QT]['sys_members']>$_SESSION[QT]['topics_per_page']) echo '<table class="button" cellspacing="0"><tr class="button">',$strGroups,'</tr></table>',N;

if ( !empty($strPager) )
{
echo '<table class="hidden" cellspacing="0"><tr class="hidden"><td class="hidden" id="pager_zt">',$strPager,'</td></tr></table>',N,N;
}

// end if no result
if ($intCount==0)
{
  echo '<p>',$L['None'],'</p><br/>';
  include('qtf_p_footer.php');
  exit;
}

// --------
// Memberlist
// --------

$bCompact = FALSE;
if ( $_SESSION[QT]['avatar']=='0' ) $bCompact = true;
if ( $_SESSION[QT]['viewmode']=='C' ) $bCompact = true;

echo '<table class="data_t" cellspacing="0">',N;
echo '<tr class="data_t">',N;

/* ======== */
$arrFields = array(); // SORT LABEL CLASS STYLE
if ( $bCompact )
{
$arrFields['name'] = array('text'=>$L['Username'],'sort'=>TRUE,'thclass'=>'th_t th_t_usr th_t_first','thstyle'=>'width:150px');
}
else
{
$arrFields['picture'] = array('text'=>$L['Avatar'],'thclass'=>'th_t th_t_sta th_t_first','thstyle'=>'width:150px');
$arrFields['name'] = array('text'=>$L['Username'],'sort'=>TRUE,'thclass'=>'th_t th_t_usr');
}
$arrFields['role'] = array('text'=>$L['Role'],'sort'=>TRUE,'thclass'=>'th_t th_t_sta');
$arrFields['location']= array('text'=>$L['Location'],'sort'=>TRUE,'thclass'=>'th_t th_t_sta');
if ( $bCompact )
{
$arrFields['mail'] = array('text'=>$L['Email'],'thclass'=>'th_t th_t_sta','thstyle'=>'width:25px');
$arrFields['www'] = array('text'=>'www','thclass'=>'th_t th_t_sta','thstyle'=>'width:25px');
}
$arrFields['firstdate']=array('text'=>$L['Joined'],'sort'=>TRUE,'thclass'=>'th_t th_t_sta');
$arrFields['numpost'] = array('text'=>$L['Messages'],'sort'=>TRUE,'thclass'=>'th_t th_t_sta th_t_last');
/* ======== */
TableHeader($arrFields,$intCount,"$oVIP->selfurl?group=$strGroup&amp;page=1",$strOrder,$strDirec);
/* ======== */

echo '</tr>',N;

/* ======== */
$strState = '* FROM '.TABUSER.$where;
$oDB->Query( LimitSQL($strState,$strOrder.' '.$strDirec,$intLimit,$_SESSION[QT]['topics_per_page'],$intCount) );
/* ======== */
$intWhile=0;
$strAlt='r1';
while($row=$oDB->Getrow())
{
  TableRow($arrFields,$row,false,null,$strAlt);
  if ( $strAlt=='r1' ) { $strAlt='r2'; } else { $strAlt='r1'; }
  if ( $bMap )
  {
    // privacy control for map    
    if ( $row['privacy']=='0' && $oVIP->role=='V' ) $row['x']=0;
    if ( $row['privacy']=='0' && $oVIP->role=='U' ) $row['x']=0;
    if ( $row['privacy']=='1' && $oVIP->role=='V' ) $row['x']=0;

    // map settings
    if ( !empty($row['x']) && !empty($row['y']) )
    {
      $str = $row['name'].'<br/><br/><a class="gmap" href="qtf_usr.php?id='.$row['id'].'">Open profile &raquo;</a>';
      if ( !empty($row['picture']) ) 
      {
      $str = '<table class="gmap"><tr><td>'.AsImg($row['picture'],'',$row['name'],'imagelist').'</td><td>'.$str.'</td></tr></table>';
      }
      $oMapPoint = new cMapPoint( floatval($row['y']),floatval($row['x']),QTconv($row['name'],'-4'),$str );
      if ( isset($_SESSION[QT]['m_map_gsymbol']) )
      {
        $oMapPoint->icon = QTgetsymbol($row['role'],'icon');
        $oMapPoint->shadow = QTgetsymbol($row['role'],'shadow');
        $oMapPoint->printicon = QTgetsymbol($row['role'],'printicon');
        $oMapPoint->printshadow = QTgetsymbol($row['role'],'printshadow');
      }
      $arrMapPoints[intval($row['id'])] = $oMapPoint;
    }
  }
  $intWhile++; 
  //odbcbreak
  if ( $intWhile>=$_SESSION[QT]['topics_per_page'] ) break;  
}
/* ======== */

echo '<tr class="data_t">',N;
echo '<td class="tf_t tf_t_first"></td>',N;
For ($i=0;$i<(count($arrFields)-2);$i++)
{
echo '<td class="tf_t"></td>',N;
}
echo '<td class="tf_t tf_t_last"></td>',N;
echo '</tr>',N;

echo '</table>',N,N;

// MAP MODULE

if ( $bMap )
{
  if ( count($arrMapPoints)==0 )
  {
  echo '<p class="gmap">'.$L['map']['E_noposition'].'</p>';
  }
  else
  {
     //select zoomto (maximum 15 items in the list)
     if ( count($arrMapPoints)>1 )
     {
       $str = '<p class="gmap" style="margin:0 0 4px 0"><a class="gmap" href="javascript:void(0)" onclick="zoomToFullExtend(); return false;">'.$L['map']['zoomtoall'].'</a> | '.$L['Goto'].' <select class="gmap" id="zoomto" name="zoomto" size="1" onchange="map.setCenter(eval(this.value));">';
       $str .= '<option class="gmap" value="new GLatLng('.QTgety($_SESSION[QT]['m_map_gcenter']).','.QTgetx($_SESSION[QT]['m_map_gcenter']).')"> </option>';
       $i=0;
       foreach($arrMapPoints as $intKey=>$oMapPoint)
       {
       $str .= '<option class="gmap" value="new GLatLng('.$oMapPoint->y.','.$oMapPoint->x.')">'.$oMapPoint->title.'</option>';
       $i++; if ( $i>15 ) break;       
       }
       $str .= '</select></p>';
     }
     
  echo '
  <table class="hidden" style="margin-top:5px;">
  <tr class="hidden">
  <td class="gmap">
  ',( count($arrMapPoints)>1 ? $str :'' ),'
  <div id="map_canvas" style="width:100%; height:350px;"></div>
  <p class="gmap" style="margin:4px 0 0 0">',sprintf($L['map']['items'],strtolower( LangS('User',count($arrMapPoints))),strtolower(LangS('User',$_SESSION[QT]['sys_members'])) ),'</p>
  </td>
  </tr>
  </table>
  ';
  }
}

// -- Display pager --

if ( !empty($strPager) )
{
echo '<table class="hidden" cellspacing="0"><tr class="hidden"><td class="hidden" id="pager_zb">',$strPager,'</td></tr></table>',N,N;
}

// HTML END

if ( $bMap ) {
if ( count($arrMapPoints)>0 ) {

  $y = floatval(QTgety($_SESSION[QT]['m_map_gcenter']));
  $x = floatval(QTgetx($_SESSION[QT]['m_map_gcenter']));

  // center on the first ticket
  foreach($arrMapPoints as $intKey=>$oMapPoint)
  {
    if ( !empty($oMapPoint->y) && !empty($oMapPoint->x) )
    {
    $y = $oMapPoint->y;
    $x = $oMapPoint->x;
    break;
    }
  }

  $strFooterAddScript = QTgmappoints($L['map'],$y,$x,'click',$arrMapPoints).N.'mapload();';

}}

include('qtf_p_footer.php');

?>