<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.0 build:20090331
 * @link       http://www.qt-cute/doc/package/qtf
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qtf_init.php');
if ( !$oVIP->CanAccess('MUV',3,true) ) $oVIP->EndMessage('!',$L['R_member'],$_SESSION[QT]['skin_dir'],0);
require_once('bin/qtf_fn_tags.php');

// ---------
// PRE SETTINGS
// ---------

$s = -1;
$t = -1;
if ( isset($_GET['s']) ) $s=intval($_GET['s']);
if ( isset($_POST['s']) ) $s=intval($_POST['s']);
if ( isset($_GET['t']) ) $t=intval($_GET['t']);
if ( isset($_POST['t']) ) $t=intval($_POST['t']);

if ( $s<0 ) die('Missing section id... (s)');
if ( $t<0 ) die('Missing topic id... (t)');

if ( $oVIP->role=='M' || $oVIP->role=='A' )
{
  $arrModerators = GetUsers('M');
}
else
{
  $arrModerators = array();
}

// ---------
// SUBMITTED
// ---------

if ( isset($_POST['Maction']) )
{
  $oVIP->exiturl  = 'qtf_topics.php?s='.$s;
  $oVIP->exitname = $L['Section'];
  if ( empty($_POST['Maction']) )
  {
    if ( headers_sent() )
    {
    echo '<a href="qtf_topic.php?s=',$s,'&amp;t=',$t,'">No action</a><meta http-equiv="REFRESH" content="0;url=qtf_topic.php?s=',$s,'&amp;t=',$t,'">';
    }
    else
    {
    header('Location: qtf_topic.php?s='.$s.'&t='.$t);
    }   
    exit;
  }
  if ( substr($_POST['Maction'],0,7)=='status_' )
  {
    if ( headers_sent() )
    {
    echo '<a href="qtf_cmd.php?a=topicstatus&amp;s=',$s,'&amp;t=',$t,'&amp;v=',substr($_POST['Maction'],-1,1),'">',$L['Change'],' ',$L['Status'],'</a><meta http-equiv="REFRESH" content="0;url=qtf_cmd.php?a=topicstatus&amp;s=',$s,'&amp;t=',$t,'&amp;v=',substr($_POST['Maction'],-1,1),'">';
    }
    else
    {
    header('Location: qtf_cmd.php?a=topicstatus&s='.$s.'&t='.$t.'&v='.substr($_POST['Maction'],-1,1));
    }   
    exit;
  }
  if ( substr($_POST['Maction'],0,5)=='type_' )
  {
    if ( headers_sent() )
    {
    echo '<a href="qtf_cmd.php?a=topictype&amp;s=',$s,'&amp;t=',$t,'&amp;v=',substr($_POST['Maction'],-1,1),'">',$L['Change'],' ',$L['Type'],'</a><meta http-equiv="REFRESH" content="0;url=qtf_cmd.php?a=topictype&amp;s=',$s,'&amp;t=',$t,'&amp;v=',substr($_POST['Maction'],-1,1),'">';
    }
    else
    {
    header('Location: qtf_cmd.php?a=topictype&s='.$s.'&t='.$t.'&v='.substr($_POST['Maction'],-1,1));
    }   
    exit;
  }
  if ( $_POST['Maction']=='reply' )
  {
    if ( headers_sent() )
    {
    echo '<a href="qtf_form_edit.php?s=',$s,'&amp;t=',$t,'&amp;a=re">',$L['Post_reply'],'</a><meta http-equiv="REFRESH" content="0;url=qtf_form_edit.php?s=',$s,'&amp;t=',$t,'&amp;a=re">';
    }
    else
    {
    header('Location: qtf_form_edit.php?s='.$s.'&t='.$t.'&a=re');
    }
    exit;
  }
  if ( $_POST['Maction']=='move' )
  {
    if ( headers_sent() )
    {
    echo '<a href="qtf_cmd.php?a=topicmove&amp;s=',$s,'&amp;t=',$t,'">',$L['Move'],'</a><meta http-equiv="REFRESH" content="0;url=qtf_cmd.php?a=topicmove&amp;s=',$s,'&amp;t=',$t,'">';
    }
    else
    {
    header('Location: qtf_cmd.php?a=topicmove&s='.$s.'&t='.$t);
    }
    exit;
  }
  if ( $_POST['Maction']=='delete' )
  {
    if ( headers_sent() )
    {
    echo '<a href="qtf_cmd.php?a=topicdelete&amp;s=',$s,'&amp;t=',$t,'">',$L['Delete'],'</a><meta http-equiv="REFRESH" content="0;url=qtf_cmd.php?a=topicdelete&amp;s=',$s,'&amp;t=',$t,'">';
    }
    else
    {
    header('Location: qtf_cmd.php?a=topicdelete&s='.$s.'&t='.$t);
    }
    exit;
  }
}

// INITIALISE

include('bin/qtf_fn_limitsql.php');

$oSEC = new cSection($s);

  if ( $oSEC->type=='1' && ($oVIP->role=='V' || $oVIP->role=='U') )
  {
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjectName('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,$L['R_staff'],$_SESSION[QT]['skin_dir'],0);
  }
  if ( $oSEC->type=='2' && $oVIP->role=='V' )
  {
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjectName('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,$L['R_member'],$_SESSION[QT]['skin_dir'],0);
  }

$oTopic = new cTopic($t,$oVIP->id); //provide userid to update stats

  if ( $oSEC->type=='2' && $oVIP->role=='U' && $oTopic->firstpostuser != $oVIP->id )
  {
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjectName('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,$L['E_topic_private'].'<br/>'.$L['R_member'],$_SESSION[QT]['skin_dir'],0);
  }

$oPost = new cPost();

$strCommand= '';
$limit     = 0;
$PAGEcurr  = 1;
if ( isset($_GET['page']) ) { $limit = ($_GET['page']-1)*$_SESSION[QT]['replies_per_page']; $PAGEcurr=intval($_GET['page']); }
if ( isset($_GET['view']) ) { $_SESSION[QT]['viewmode'] = $_GET['view']; }

$oVIP->selfurl = 'qtf_topic.php';
$oVIP->exiturl = 'qtf_topics.php?s='.$s;
$oVIP->selfname = $L['Messages'];

// CHANGE TAGS

if ( isset($_POST['addtag']) )
{
  $str = strip_tags(trim($_POST['tag']));
  if ( !empty($str) && $str!='*' ) $oTopic->TagsAdd($str);
}
if ( isset($_POST['deltag']) )
{
  $str = strip_tags($_POST['tag']);
  if ( !empty($str) ) $oTopic->TagsDel($str);
  if ( $str=='*' ) $oTopic->TagsDel('[all]');
}

// --------
// HTML START
// --------

$strHeadScript = '';

if ( $_SESSION[QT]['show_quick_reply']!='0' && $_SESSION[QT]['bbc']=='1' )
{
  $intBbc=1;
  $strHeadScript .= '<link rel="stylesheet" type="text/css" href="bin/css/qtf_bbc.css"/>'.N;
}

if ( $_SESSION[QT]['tags']!='0' ) {
if ( $oVIP->role<=$_SESSION[QT]['tags'] && $oTopic->status!='1' ) {

  $arrCss = array('qt_jquery.css');

  $arr1 = TagsRead($_SESSION[QT]['lang_iso'],$s);
  $arr2 = TagsRead($_SESSION[QT]['lang_iso'],'*');
  $arrTags = array_merge($arr1,$arr2);
  if ( count($arrTags)<100 )
  {
    $arr1 = $oSEC->GetTagsUsed();
    foreach($arr1 as $strKey=>$strDesc) { if ( !isset($arrTags[$strKey]) ) $arrTags[$strKey]=$strDesc; }
  }
  $str = '';
  foreach($arrTags as $strKey=>$strDesc) { $str .= '"'.$strKey.'",'; }
  $str = substr($str,0,-1);

  $strHeadScript .= '
  <script type="text/javascript" src="bin/qt_jquery.js"></script>
  <script type="text/javascript" src="bin/qt_jquery_auto.js"></script>
  <script type="text/javascript">
  <!--
  $(document).ready(function() {
    $("#tag").autocomplete(['.$str.'],{
      minChars:0,
      matchContains:1,
      width:200,
      multiple:true,
      multipleSeparator:";"
      });      
    });
  -->
  </script>
  ';
}}

if ( $_SESSION[QT]['show_quick_reply']!='0' ) $intBbc=1;
$bIE=true;

$bJava=true;
include('qtf_p_header.php');

// COUNT RECORDS

$oDB->Query('SELECT count(p.id) as countid FROM '.TABPOST.' p WHERE p.forum='.$oSEC->id.' AND p.topic='.$oTopic->id);
$row = $oDB->Getrow();
$intPosts = $row['countid'];

// PAGER

$pager = MakePager("index_post.php?s={$oSEC->id}&amp;t={$oTopic->id}",$intPosts,$_SESSION[QT]['topics_per_page'],$PAGEcurr);
if ( $pager!='' ) $pager = $L['Page'].$pager;

// BUTTONS

if ( $oSEC->status=='1' )
{
  $strCommand = '<td class="button" style="width:120px"><span class="button_off">&nbsp;'.$L['E_section_closed'].'&nbsp;</span></td>'.N;
}
else
{
  $strCommand = '<td class="button" style="width:120px">&nbsp;<a class="button" href="qtf_form_edit.php?s='.$oSEC->id.'&amp;t='.$oTopic->id.'&amp;a=re">'.$L['Post_reply'].'</a>&nbsp;</td>'.N;
  if ( $oTopic->status=='1' ) $strCommand = '<td class="button" style="width:120px"><span class="button_off">&nbsp;'.$L['Topic_closed'].'&nbsp;</span></td>'.N;

  if ( ($oVIP->role=='V') && ($_SESSION[QT]['visitor_right']<6) )
  {
  $strCommand = '<td class="button" style="width:120px"><span class="button_off">&nbsp;'.$L['Post_reply'].'&nbsp;</span></td>'.N;
  }
}

$strCommand = $oVIP->BackButton().$strCommand;

// -- Displays Button line and pager --

echo '<!-- Button and pager -->',N;

// Moderator action

if ( $oVIP->role=='M' || $oVIP->role=='A' )
{
  // list of status
  $strStatus = '';
  foreach($oSYS->statuses as $strId=>$strValue)
  {
    $strStatus .= '<option value="status_'.$strId.'"'.($oTopic->status==$strId ? ' class="bold"' : '').'>'.$L['Status'].': '.$strValue.'</option>';
  }
  // list of types
  $strTypes = '';
  foreach($oSYS->types as $strId=>$strValue)
  {
    $strTypes .= '<option value="type_'.$strId.'"'.($oTopic->type==$strId ? ' class="bold"' : '').'>'.$L['Type'].': '.$strValue['name'].'</option>';
  }

// returned topic action
echo '<form method="post" action="qtf_topic.php" id="modaction">
<div class="modboard">
<span class="modboard">',$L['Topic'],S,'<input type="hidden" name="s" value="',$oTopic->section,'"/>
<input type="hidden" name="t" value="',$oTopic->id,'"/>
';
echo '<select name="Maction" class="small" onchange="document.getElementById(\'modaction\').submit();">
<option value="">',S,'</option>
<option value="reply">',$L['Post_reply'],'...</option>
<option value="move">',$L['Move'],'...</option>
<option value="delete">',$L['Delete'],'...</option>
<option value="" disabled="disabled">-----------------</option>',$strStatus,'
<option value="" disabled="disabled">-----------------</option>',$strTypes,'
</select> <input type="submit" name="Msubmit" value="',$L['Ok'],'" class="small" id="action_ok"/>
<script type="text/javascript">document.getElementById("action_ok").style.visibility="hidden";document.getElementById("action_ok").value="";</script>
</span>
</div>
</form>',N;
}

if ( $_SESSION[QT]['section_desc']=='1' )
{
  if ( $oTopic->numid >= 0 && $oSEC->numfield!='N' ) 
  {
  echo '<!-- Topic description -->',N,'<p id="topic_reference">';
  printf($oSEC->numfield,$oTopic->numid);
  echo '</p>',N,'<!-- Topic description -->',N,N;
  }
}
echo '<table class="button button_top" cellspacing="0">',N;
echo '<tr class="button">',N,$strCommand,'<td id="pager_zt">',$pager,'</td>',N,'</tr>',N;
echo '</table>',N;
echo '<!-- End button and pager -->',N,N;

// CONTENT

// stop if no post (or user not creator)

if ( $intPosts==0 )
{
  echo '<br/>',$L['None'],'... ',$L['E_topic_private'],'<br/><br/>',N;
  include('qtf_p_footer.php');
  exit;
}

/* ====== */
$state = 'p.*, u.role, u.location, u.picture, u.signature FROM '.TABPOST.' p, '.TABUSER.' u WHERE p.userid = u.id AND p.topic='.$oTopic->id;
$oDB->Query( LimitSQL($state,'p.id ASC',$limit,$_SESSION[QT]['replies_per_page'],$intPosts) );
/* ====== */
$iMsgNum = $limit;
$intWhile= 0;
$strAlt  = 'r1';
$strSep  = '<div class="post_sep_'.($_SESSION[QT]['viewmode']=='N' ? 'n' : 'c').'"></div>'.N;
/* ====== */
while ( $row=$oDB->Getrow() )
{
  $iMsgNum = $iMsgNum+1;
  $oPost = new cPost($row,$iMsgNum);
  if ( $_SESSION[QT]['viewmode']=='C' ) $oPost->text = QTcompactline($oPost->text);
  $strButton = '';
  if ( $oVIP->auth )
  {
    if ( !$oTopic->status && !$oSEC->status )
    {
    $strButton .= '<td class="button_small" style="width:50px">&nbsp;<a href="qtf_form_edit.php?s='.$oSEC->id.'&amp;t='.$oTopic->id.'&amp;a=qu&amp;p='.$oPost->id.'" class="button_small">'.$L['Quote'].'</a>&nbsp;</td>'.N;
    }
    if ( $oPost->userid==$oVIP->id || $oVIP->role=='A' || $oVIP->role=='M' )
    {
    $strButton .= '<td class="button_small" style="width:50px">&nbsp;<a href="qtf_form_edit.php?s='.$oSEC->id.'&amp;t='.$oTopic->id.'&amp;p='.$oPost->id.'&amp;a=ed" class="button_small">'.$L['Edit'].'</a>&nbsp;</td>'.N;
    $strButton .= '<td class="button_small" style="width:50px">&nbsp;<a href="qtf_form_del.php?s='.$oSEC->id.'&amp;t='.$oTopic->id.'&amp;p='.$oPost->id.'&amp;a=de" class="button_small">'.$L['Delete'].'</a>&nbsp;</td>'.N;
    }
  }
  if ( !empty($oPost->modifuser) ) $strButton .= '<td class="td_line"><span class="small">&nbsp;'.$L['Modified_by'].' <a href="qtf_usr.php?id='.$oPost->modifuser.'" class="small">'.$oPost->modifname.'</a> ('.QTdatestr($oPost->modifdate,'$','$',true).')</span></td>'.N;
  if ( !empty($strButton) ) $strButton .= '<td class="hidden">'.S.'</td>'.N;
  if ( !empty($strButton) ) $strButton = '<table class="hidden" cellspacing="0" style="margin:10px 0 1px 0;"><tr>'.$strButton.'</tr></table>'.N;

  // SHOW MESSAGE

  $oPost->Show($oSEC,$oTopic,true,$strButton,$strSep,$_SESSION[QT]['skin_dir'],$strAlt);
  if ( $strAlt=='r1' ) { $strAlt='r2'; } else { $strAlt='r1'; }
  $intWhile++;

  // SHOW TAGS
  
  if ( $oPost->type=='P' && $_SESSION[QT]['tags']!='0' )
  {
    $arrTags=explode(';',$oTopic->tags);
    
    if ( $oVIP->role<=$_SESSION[QT]['tags'] && $oTopic->status!='1' )
    {
      echo '<div class="tags small" style="text-align:right">',$L['Tags'],' ';
      foreach($arrTags as $strTag)
      {
        if ( !empty($strTag) ) echo '<span class="tagline" title="" onclick="document.getElementById(\'tag\').value=this.innerHTML;">',$strTag,'</span> ';
      }  
      if ( $oSYS->output=='screen' )
      {
      echo (count($arrTags)>5 ? '</div><div class="tags small" style="text-align:right">' : ''),'<form method="post" action="',$oVIP->selfurl,'?s=',$s,'&amp;t=',$t,'">',N;
      echo '<input type="hidden" name="s" value="',$s,'"/>';
      echo '<input type="hidden" name="t" value="',$t,'"/>';
      echo '<input type="text" class="small" size="18" id="tag" name="tag" maxlength="24" value=""/>';
      echo '<input type="submit" class="small" name="addtag" id="addtag" title="',$L['Add'],'" value="+" onclick="if (document.getElementById(\'tag\').value==\'\') return false;"/>';
      echo '<input type="submit" class="small" name="deltag" id="deltag" title="',$L['Delete_tags'],'" value="-"  onclick="if (document.getElementById(\'tag\').value==\'\') return false;"/>';
      echo '</form>',N;
      }
      echo '</div>';
    }
    else
    {
      if ( !empty($oTopic->tags) ) 
      {
      echo '<div class="tags small" style="text-align:right">',$L['Tags'],'&nbsp;';
      foreach($arrTags as $strTag)
      {
        echo '<span class="tagline">',$strTag,'</span> ';
      }  
      echo '</div>';
      }
    }
  }

  // END

  if ( $intWhile<$intPosts ) echo $strSep;
}
/* ====== */

// BUTTON LINE AND PAGER

if ( $intPosts>1 )
{
echo '<!-- Button and pager -->',N;
echo '<table class="button button_bot" cellspacing="0">',N;
echo '<tr class="button">',N;
echo $strCommand,'<td id="pager_zb">',$pager,'</td>',N;
echo '</tr>',N;
echo '</table>',N;
echo '<!-- End button and pager -->',N,N;
}

if ( $oTopic->status && !empty($oTopic->statusdate) )
{
echo '<p class="disabled">',$L['Topic_closed'],' ',QTdatestr($oTopic->statusdate,'$','$',true),'</p>';
}

// QUICK REPLY

if ( $_SESSION[QT]['show_quick_reply']=='1' ) {
if ( !$oSEC->status && !$oTopic->status ) {
if ( $oVIP->role=='V' && $_SESSION[QT]['visitor_right']<7 ) {} else {

echo '
<!-- Quick reply -->
<div class="quickreply">
<script type="text/javascript">
<!--
function ValidateForm(theForm)
{
  if (theForm.text.value.length==0) { alert(qtHtmldecode("',$L['E_mandatory'],': ',$L['Message'],'")); return false; }
  if (theForm.text.value.length>',$_SESSION[QT]['chars_per_post'],') { alert(qtHtmldecode("',$L['E_too_long'],': ',$L['Maximum'],' ',$_SESSION[QT]['chars_per_post'],'")); return false; }
  return null;
}
-->
</script>
';
echo '<form method="post" action="qtf_form_edit.php" onsubmit="return ValidateForm(this);">
<table class="hidden" cellspacing="0">
<tr class="hidden">
<td style="height:22px">
';
if ( $_SESSION[QT]['bbc']=='1' )
{
echo '<ul class="bbc"><li class="txt">',$L['Quick_reply'],'</li>';
include('qtf_form_button.php');
echo '<li class="txt" style="text-align:right"><input type="submit" id="dopreview" name="dopreview" value="',$L['Advanced_reply'],'" class="small"/></li></ul>';
}
else
{
echo $L['Quick_reply'],'&nbsp;&nbsp;<input type="submit" id="dopreview" name="dopreview" value="',$L['Advanced_reply'],'" class="small"/>';
}
echo '</td>
</tr>
';
echo '<tr class="hidden">
<td class="hidden">
<a href="textarea"></a><textarea id="text" name="text" rows="5" cols="85"></textarea>&nbsp;
<input type="submit" id="dosend" name="dosend" value="',$L['Send'],'"/>
<input type="hidden" name="s" value="',$oSEC->id,'"/>
<input type="hidden" name="t" value="',$oTopic->id,'"/>
<input type="hidden" name="a" value="re"/>
<input type="hidden" name="ref" value="',$oTopic->numid,'"/>
<input type="hidden" name="icon" value="00"/>
<input type="hidden" name="title" value=""/>
</td>
</tr>
</table>
';
echo '</form>
</div>
<!-- End Quick reply -->
';
  
}}}

// HTML END

include('qtf_p_footer.php');

?>