<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.0 build:20090331
 * @link       http://www.qt-cute/doc/package/qtf
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qtf_init.php');
$oSYS->output='print';
if ( !$oVIP->CanAccess('MUV',2,true) ) $oVIP->EndMessage("!",$L['R_member'],$_SESSION[QT]['skin_dir'],0);

$s = -1;
if ( isset($_GET['s']) ) $s = intval(strip_tags($_GET['s']));
if ( isset($_POST['s']) ) $s = intval(strip_tags($_POST['s']));
if ( $s<0 ) die('Missing section id...');

// ---------
// INITIALISE
// ---------

include('bin/qtf_fn_limitsql.php');

$oSEC = new cSection($s);

if ( $oSEC->type==1 && ($oVIP->role=='V' || $oVIP->role=='U') )
{
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjectName('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,$L['R_staff'],$_SESSION[QT]['skin_dir'],0);
}
if ( $oSEC->type==2 && $oVIP->role=='V' )
{
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjectName('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,$L['R_member'],$_SESSION[QT]['skin_dir'],0);
}

$oVIP->selfurl = 'qtf_topics.php';
$oVIP->selfname = $L['Section'].': '.$oSEC->name;

$strCommand = '';
$numid      = '';

// Protection against injection: order and dir are controlled
$strOrder = 'lastpostdate';
$strDirec = 'DESC';
$intPage  = 1;
$intLimit = 0;
if (isset($_GET['page']))  { $intLimit = (intval($_GET['page'])-1)*$_SESSION[QT]['topics_per_page']; $intPage = intval($_GET['page']); }
if (isset($_GET['order'])) { $strOrder = strip_tags(substr($_GET['order'],0,15)); } // protection against injection
if (isset($_GET['dir']))   { if ( $_GET['dir']=='ASC' ) $strDirec = 'ASC'; }        // protection against injection

if ($oVIP->numpost>0)
{
$oDB2 = new cDB($qtf_dbsystem,$qtf_host,$qtf_database,$qtf_user,$qtf_pwd,$qtf_port,$qtf_dsn);
}

// --------
// HTML START
// --------

include('qtf_p_header.php');

echo '
<h2>',$oSEC->name,'</h2>
';

// SECTION OPTIONS

$byuser = '';
if ( ($oSEC->type==2) && ($oVIP->role!='M') && ( $oVIP->role!='A' )) $byuser = "AND t.firstpostuser={$oVIP->id}";

$strShowclosed = '';
if ( $_SESSION[QT]['show_closed']=='0' ) $strShowclosed='AND t.status="0"'; 

// BUTTON LINE AND PAGER

$oDB->Query('SELECT count(*) as countid FROM '.TABTOPIC." t WHERE t.forum={$oSEC->id} $strShowclosed ".$byuser);
$row = $oDB->Getrow();
$intCount = $row['countid'];
$strPager = MakePager("$oVIP->selfurl?s={$oSEC->id}",$intCount,$_SESSION[QT]['topics_per_page'],$intPage);
if ($strPager!='') $strPager = $L['Page'].$strPager;


if ( $_SESSION[QT]['section_desc']=='1' )
{
  if ( !empty($oSEC->descr) ) echo '<!-- Section description -->',N,'<p id="sectiondesc">',$oSEC->descr,'</p>',N,'<!-- Section description -->',N,N;
}

echo '
<!-- Button and pager -->
<table class="button button_top" cellspacing="0">
<tr class="button">
<td id="pager_zt">',$strPager,'</td>
</tr>
</table>
<!-- End button and pager -->
';

// DISPLAY

if ( $intCount==0 )
{
  echo "<br/>{$L['None']}... {$L['E_topic_private']}<br/><br/>\n";
  include('qtf_p_footer.php');
  exit;
}

// LIST TOPICS

$strExtra = $oSEC->infofield; // can be "N" (moderator requests no-field)
if ( !empty($_SESSION[QT]['lastcolumn']) ) $strExtra = $_SESSION[QT]['lastcolumn'];
switch($strExtra)
{
case 'views': $strExtraLabel=$L['Views']; break;
case 'status': $strExtraLabel=$L['Status']; break;
case 'tags': $strExtraLabel=$L['Tags']; break;
default: $strExtraLabel=$strExtra;
}

echo '<table class="data_t" cellspacing="0">',N;
echo '<tr class="data_t">',N;

/* ======== */
$arrFields = array(); // TEXT['S'] SORT[false] CLASS[''] STYLE['']
$arrFields['icon'] = array('thclass'=>'th_t th_t_first th_t_ico');
if ( $oSEC->numfield!='N' )
{
$arrFields['numid'] = array('text'=>$L['Ref'],'thclass'=>'th_t th_t_ref');
}
if ( !empty($oSEC->prefix) )
{
$arrFields['smile'] = array('thclass'=>'th_t th_t_smi');
}
$arrFields['title'] = array('text'=>$L['Topics'],'thclass'=>'th_t th_t_tit');
if ( QTF_LIST_ME )
{  
$arrFields['you'] = array('thclass'=>'th_t th_t_inf','thstyle'=>'width:10px');
}
$arrFields['firstpostname'] = array('text'=>$L['Topic_starter'],'thclass'=>'th_t th_t_inf');
$arrFields['lastpostdate'] = array('text'=>$L['Last_message'],'thclass'=>'th_t th_t_inf');
if ( $strExtra=='N' || $strExtra=='replies' )
{
$arrFields['replies'] = array('text'=>$L['Replys'],'thclass'=>'th_t th_t_last th_t_sta');
}
else
{
$arrFields['replies'] = array('text'=>$L['Replys'],'thclass'=>'th_t th_t_sta');
$arrFields[$strExtra] = array('text'=>$strExtraLabel,'thclass'=>'th_t th_t_sta th_t_last');
}
/* ======== */
TableHeader($arrFields,$intCount,"$oVIP->selfurl?s=$oSEC->id&amp;page=1",$strOrder,$strDirec);
/* ======== */

echo '</tr>',N;

/* ======== */
$strState  = 't.*, p.title, p.icon, p.textmsg FROM '.TABTOPIC.' t INNER JOIN '.TABPOST." p ON t.firstpostid=p.id WHERE t.forum = {$oSEC->id} $strShowclosed $byuser ";
if ( $strOrder=='title' ) { $strOrder='p.title'; } else { $strOrder='t.'.$strOrder; }
if ( $_SESSION[QT]['news_on_top']==1 ) $strOrder = 't.type ASC, '.$strOrder;
$oDB->Query( LimitSQL($strState,$strOrder.' '.$strDirec,$intLimit,$_SESSION[QT]['topics_per_page'],$intCount) );
/* ======== */
$intWhile=0;
$strAlt='r1';
while($row=$oDB->Getrow())
{
  TableRow($arrFields,$row,true,$oSEC,$strAlt);
  if ( $strAlt=='r1' ) { $strAlt='r2'; } else { $strAlt='r1'; }
  $intWhile++; 
  //odbcbreak
  if ( $intWhile>=$_SESSION[QT]['topics_per_page'] ) break;  
}
/* ======== */

echo '<tr class="tf_t">',N;
echo '<td class="tf_t tf_t_first"></td>',N;
For ($i=0;$i<(count($arrFields)-2);$i++)
{
echo '<td class="tf_t"></td>',N;
}
echo '<td class="tf_t tf_t_last"></td>',N;
echo '</tr>',N;

echo '</table>',N,N;

// BUTTON LINE AND PAGER

if ( $intCount>2 )
{
echo '
<!-- Button and pager -->
<table class="button button_bot" cellspacing="0">
<tr class="button">
<td id="pager_zb">',$strPager,'</td>
</tr>
</table>
<!-- End button and pager -->
';
}

// TAGS FILTRING

if ( QTF_LIST_TAG && !empty($_SESSION[QT]['tags']) )
{
  require_once('bin/qtf_fn_tags.php');
  $arrTags = $oSEC->GetTagsUsed($s,50);
  if ( count($arrTags)>0 ) 
  {
      echo '<div class="tags">',$L['Tags'],': ';
      foreach($arrTags as $strTag)
      {
        if ( !empty($strTag) ) echo $strTag,'&nbsp; ';
      }  
      echo '</div>';
  }
}

// HTML END

include('qtf_p_footer.php');

?>