<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.0 build:20090331
 * @link       http://www.qt-cute/doc/package/qtf
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qtf_init.php');
if ( !$oVIP->CanAccess('MUV',4,true) ) $oVIP->EndMessage('!',$L['R_member'],$_SESSION[QT]['skin_dir'],0);

// INITIALISE

  function show_ban($strRole='V',$intBan=0)
  {
    if ( $intBan<1 ) return '';
    if ( $strRole=='A' || $strRole=='M' )
    {
      global $L;
      if ( $intBan>1 ) $intBan=($intBan-1)*10;
      Return '<p class="small error">'.$L['Is_banned'].' '.strtolower(LangS('Day',$intBan)).' '.$L['Since'].' '.strtolower($L['Last_message']).'</p>';
    }
  }
  
include('bin/qt_lib_smtp.php');
include($_SESSION[QT]['language'].'/qtf_reg.php');

$bMap = UseModule('map');
if ( $bMap ) { if ( empty($_SESSION[QT]['m_map_gkey']) ) $bMap=false; }
if ( $bMap ) { require_once('qtfm_map_lib.php'); if ( !QTgcanmap('U') ) $bMap=false; }
if ( $bMap ) include(Translate('qtfm_map.php'));

$id = -1;
if ( isset($_GET['id']) ) $id = intval($_GET['id']);
if ( isset($_POST['id']) ) $id = intval($_POST['id']);

$bEdit = false;
if ( $oVIP->id==$id ) $bEdit=true;
if ( $oVIP->role=='A' || $oVIP->role=='M' ) $bEdit=true;
if ( $id==0 ) $bEdit=false;

$oVIP->selfurl = 'qtf_usr.php';
$oVIP->selfname = $L['Profile'];

// --------
// SUBMITTED
// --------

if ( isset($_POST['ok']) )
{
  // check form
  
  $strLoca = trim($_POST['location']); if ( get_magic_quotes_gpc() ) $strLoca = stripslashes($strLoca);
  $strLoca = QTconv($strLoca,'3',QTF_CONVERT_AMP);

  if ( empty($error) )
  {
    $strMail = trim($_POST['mail']);
    $strMail = str_replace(';',' ; ',$strMail);
    $strMail = str_replace('  ',' ',$strMail);
    if ( !empty($strMail) && !QTismail($strMail) ) $error=$L['Email'].S.$strMail.' '.$L['E_invalid'];
  }

  if ( empty($error) )
  {
    $strWww = QTconv($_POST['www'],'2');
    if ( !empty($strWww) && substr($strWww,0,4)!='http' ) $error=$L['Website'].S.$L['E_invalid'];
    if ( $strWww=='http://' || $strWww=='https://' ) $strWww='';
  }

  if ( empty($error) )
  {
    if ( empty($_POST['birth_y']) || empty($_POST['birth_d']) || empty($_POST['birth_d']) )
    {
      $strBirth = '0';
    }
    else
    {
      $i = intval($_POST['birth_y'])*10000+intval($_POST['birth_m'])*100+intval($_POST['birth_d']);
      if ( !QTisvaliddate($i,true,false,false) ) $error = $L['Birthday'].' ('.$_POST['birth_y'].'-'.$_POST['birth_m'].'-'.$_POST['birth_d'].') '.$L['E_invalid']; 
      $strBirth = $i;
    }    
  }

  if ( empty($error) )
  {
    if ( isset($_POST['child']) ) { $strChild = substr($_POST['child'],0,1); } else { $strChild = '0'; }
    if ( $id==1 && $strChild!='0' ) $error='user id[1] is admin and child status cannot be changed...';
    if ( $id==0 && $strChild!='0' ) $error='user id[0] is visitor and child status cannot be changed...';
  }

  if ( empty($error) )
  {
    if ( isset($_POST['parentmail']) ) { $strParentmail = trim($_POST['parentmail']); } else { $strParentmail=''; }
    if ( !empty($strParentmail) ) { if ( !QTismail($strParentmail) ) $error=$L['Parent_mail'].S.$L['E_invalid']; }
  }
  
  // save

  if ( empty($error) )
  {
    $oDB->Query('UPDATE '.TABUSER.' SET location="'.$strLoca.'", mail="'.$strMail.'", www="'.$strWww.'", privacy="'.$_POST['privacy'].'", children="'.$strChild.'", parentmail="'.$strParentmail.'",birthday="'.$strBirth.'" WHERE id='.$id);
    if ( $bMap ) {
    if ( isset($_POST['m_map_gcenter']) ) {
      if ( empty($_POST['m_map_gcenter']) )
      {
      QTgpointdelete(TABUSER,$id);
      }
      else
      {
      QTgpoint(TABUSER,$id,QTgety($_POST['m_map_gcenter']),QTgetx($_POST['m_map_gcenter']));
      }      
    }}

    // parent warning if coppa
    
    if ( $strChild=='1' ) {
    if ( $_SESSION[QT]['register_coppa']=='1' ) {
      $strSubject='Profile updated';
      $strMessage="Your children (login: %s) has modified his/her profile on the board {$_SESSION[QT]['site_name']}.";
      $strFile = $_SESSION[QT]['language'].'/mail_profile_coppa.php';
      if ( file_exists($strFile) ) include($strFile);
      $strMessage = sprintf($strMessage, $_POST['name']);
      QTmail($_POST['parentmail'],$strSubject,$strMessage,QTF_HTML_CHAR);
    }}

    // exit
    
    unset($oSYS->sections);
    $oVIP->exiturl = 'qtf_usr.php?id='.$id;
    $oVIP->exitname = $L['Profile'];
    $oVIP->EndMessage(NULL,$L['S_save'],$_SESSION[QT]['skin_dir'],2);
  }
}

// --------
// STATS AND USER
// --------

// -- COUNT TOPICS --

$oDB->Query('SELECT count(id) as countid FROM '.TABTOPIC.' WHERE firstpostuser='.$id);
$row = $oDB->Getrow();
$counttopics = $row['countid'];

// -- COUNT MESSAGES --

$oDB->Query('SELECT count(id) as countid FROM '.TABPOST.' WHERE userid='.$id);
$row = $oDB->Getrow();
$countmessages = $row['countid'];

// -- QUERY USER --

$oDB->Query('SELECT * FROM '.TABUSER.' WHERE id='.$id);
$row = $oDB->Getrow();

// --------
// HTML START
// --------

if ( $bMap )
{ 
  $strHeadScript = QTgmapheader();
  $strBodyAddOnunload='GUnload()';
}

include('qtf_p_header.php');

if ( $id<0 )  die('Wrong id in qtf_usr.php');

// -- PARTICIPATION INFO --

$strParticip = '';
if ( $counttopics>0 )
{
$strParticip .= '<a href="qtf_search_re.php?a=user&amp;k1='.$id.'&amp;k2='.urlencode($row['name']).'">'.LangS('Topic',$counttopics).'</a>, ';
}
if ( $countmessages>0 )
{
  $strParticip .= '<span class="small">'.LangS('Message',$countmessages).', '.strtolower($L['Last_message']).' '.QTdatestr($row['lastdate'],'$','$',true);
  $oDB->Query( 'SELECT p.id,p.topic,p.forum FROM '.TABPOST.' p WHERE p.userid='.$id.' ORDER BY p.issuedate DESC' );
  $row2 = $oDB->Getrow();
  $strParticip .= ' <a class="small" href="qtf_topic.php?s='.$row2['forum'].'&amp;t='.$row2['topic'].'&amp;tt=messages#p'.$row2['id'].'" title="'.$L['H_Goto_message'].'">'.$L['Goto_message'].'</a></span>';
}

// -- STAFF MENU --

if ( $oVIP->role=='A' )
{
echo '
<form method="get" action="qtf_cmd.php" id="modaction">
<div class="modboard">
<span class="modboard">',$L['Userrole']['A'],' 
<select name="a" class="small" onchange="',"if (this.value!='') { document.getElementById('modaction').submit(); }",'">
<option value="">',S,'</option>
<option value="pwdreset">',$L['Reset_pwd'],'...</option>',
($id>1 ? '<option value="userrole">'.$L['Change_role'].'...</option>
<option value="user_ban">'.$L['Ban_user'].'...</option>
<option value="user_del">'.$L['User_del'].'...</option>
' :''),'
<input type="submit" name="Mok" value="',$L['Ok'],'" class="small" id="action_ok"/>
<input type="hidden" name="p" value="',$id,'"/>
<script type="text/javascript">document.getElementById("action_ok").style.visibility="hidden";document.getElementById("action_ok").value="";</script>
</span>
</div>
</form>
';
}

// -- DISPLAY PROFILE --

$strMail = S;
  if ( !empty($row['mail']) )
  {
  $strMail = AsEmails($row['mail'],$id,'0','txt'.(QTF_JAVA_MAIL ? 'java' : ''),false,$_SESSION[QT]['skin_dir'],$L['E_javamail']);
  if ( $row['privacy']=='0' && $oVIP->role!='A' ) $strMail = S;
  if ( $row['privacy']=='1' && $oVIP->role=='V' ) $strMail = S;
  if ( $strMail!=S && ($oVIP->id==$id || $oVIP->role=='A' || $oVIP->role=='M') ) $strMail .= ' <span class="disabled">('.$L['Privacy_visible'][intval($row['privacy'])].')</span>';
  }

echo '<h2>',$oVIP->selfname,'</h2>
<table class="hidden" cellspacing="0">
<colgroup span="2"><col width="175"></col><col></col></colgroup>
<tr class="hidden">
<td class="hidden">',AsImgBox(AsImg( (empty($row['picture']) ? '' : $row['picture']),'',$row['name']),'picbox','',$row['name']),show_ban($oVIP->role,$row['closed']);
if ( CanPerform('show_calendar',$oVIP->role) )
{
echo '<p><a href="qtf_calendar.php',(empty($row['birthday']) ? '' : '?m='.substr($row['birthday'],4,2)).'">'.$L['Birthdays_calendar'].'</a></p>';
}
echo '</td>
<td class="hidden">
';
echo '
<table class="data_o" cellspacing="0">
<colgroup span="2"><col width="150"></col><col></col></colgroup>
<tr><td class="th_o th_o_first">',$L['Username'],'</td><td class="td_o"><b>',$row['name'],'</b></td></tr>
<tr><td class="th_o th_o_first">',$L['Role'],'</td><td class="td_o">',$L['Userrole'][$row['role']],'</td></tr>
<tr><td class="th_o th_o_first">',$L['Location'],'</td><td class="td_o">',$row['location'],'&nbsp;</td></tr>
<tr><td class="th_o th_o_first">',$L['Email'],'</td><td class="td_o">',$strMail,'</td></tr>
<tr><td class="th_o th_o_first">',$L['Website'],'</td><td class="td_o">',( empty($row['www']) ? S : '<a href="'.$row['www'].'" target="_blank">'.$row['www'].'</a>' ),'</td></tr>
<tr><td class="th_o th_o_first">',$L['Birthday'],'</td><td class="td_o">'.(empty($row['birthday']) ? S : QTdatestr($row['birthday'],'$','')).'</td></tr>
<tr><td class="th_o th_o_first">',$L['Joined'],'</td><td class="td_o">',QTdatestr($row['firstdate'],'$','$',true),'</td></tr>
<tr><td class="th_o th_o_first">',$L['Messages'],'</td><td class="td_o">',$strParticip,'</td></tr>
';
if ( !$bEdit ) {
if ( $bMap ) {
if ( !empty($row['x']) && !empty($row['y']) ) {

  $strPosition = '<span class="disabled">'.$L['Privacy_visible'][intval($row['privacy'])].'</span>';
  if ( $row['privacy']==0 ) { if ( $oVIP->role=='A' || $oVIP->role=='M' || $oVIP->id==$id ) $strPosition = '<div id="map_canvas" style="width:100%; height:340px;"></div>'; }
  if ( $row['privacy']==1 ) { if ( $oVIP->role!='V' ) $strPosition = '<div id="map_canvas" style="width:100%; height:340px;"></div>'; }  
  if ( $row['privacy']==2 ) $strPosition = '<div id="map_canvas" style="width:100%; height:340px;"></div>';
  echo '<tr><td class="th_o th_o_first">',$L['map']['position'],'</td><td class="td_o">',$strPosition,'</td></tr>';

}}}
echo '</table>
';
echo '
</td>
</tr>
</table>
';

// -- EDIT PROFILE --
if ( $bEdit ) {
// -- EDIT PROFILE --

echo '<h2>',$L['User_upd'],'</h2>
<table class="hidden" cellspacing="0">
<colgroup span="2"><col width="175"></col><col></col></colgroup>
<tr class="hidden">
<td class="hidden">';
if ( $_SESSION[QT]['avatar']!='0' )
{
echo '<p><a href="qtf_usr_img.php?id=',$id,'">',$L['Change_picture'],'</a></p>';
}
echo '<p><a href="qtf_usr_sign.php?id=',$id,'">',$L['Change_signature'],'</a></p>';
echo '<p><a href="qtf_usr_pwd_chg.php?id=',$id,'">',$L['Change_password'],'</a></p>';
echo '</td>';

if ( $id>0 )
{
  echo '<td class="hidden">';
  echo '<form method="post" action="qtf_usr.php?id=',$id,'">';
  echo '<table class="data_o" cellspacing="0">';
  echo '<colgroup span="2">';
  echo '<col width="150"></col>';
  echo '<col></col>';
  echo '</colgroup>';
  echo '<tr>';
  echo '<td class="th_o th_o_first">',$L['Location'],'</td>';
  echo '<td class="td_o"><input type="text" name="location" size="35" maxlength="24" value="',$row['location'],'"/></td>';
  echo '</tr>';
  echo '<tr>';
  echo '<td class="th_o th_o_first">',$L['Email'],'</td>';
  echo '<td class="td_o"><input type="text" name="mail" size="35" maxlength="64" value="',$row['mail'],'"/>';
  echo '</td>';
  echo '</tr>';
  echo '<tr>';
  echo '<td class="th_o th_o_first">',$L['Website'],'</td>';
  echo '<td class="td_o"><input type="text" name="www" size="35" maxlength="64" value="',( !empty($row['www']) ? $row['www'] : 'http://' ),'" title="',$L['H_Website'],'"/></td>';
  echo '</tr>';
  echo '<tr>';
  echo '<td class="th_o th_o_first">',$L['Birthday'],'</td>';
  $strBrith_y = '';
  $strBrith_m = '';
  $strBrith_d = '';
  if ( !empty($row['birthday']) )
  {
    $strBrith_y = intval(substr(strval($row['birthday']),0,4));
    $strBrith_m = intval(substr(strval($row['birthday']),4,2));
    $strBrith_d = intval(substr(strval($row['birthday']),6,2));
  }
  echo '<td class="td_o"><select name="birth_d" size="1">',N;
  echo QTastags(array(0=>'',1=>1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31),null,$strBrith_d);
  echo '</select>',N;
  echo '<select name="birth_m" size="1">',N;
  echo '<option value="0"></option>',QTastags($L['dateMMM'],null,$strBrith_m);
  echo '</select>',N;
  echo '<input type="text" id="birth_y" name="birth_y" size="4" maxlength="4" value="',$strBrith_y,'"/></td>';
  echo '</tr>',N;
  if ( $oVIP->role=='A' && $id>1 )
  {
    if ( $_SESSION[QT]['register_coppa']=='1' )
    {
    echo '<tr>';
    echo '<td class="th_o th_o_first">',$L['Child'],'</td>';
    echo '<td class="td_o">';
    echo '<select size="1" name="child">';
    echo '<option value="0"',($row['children']=='0' ? QSEL : ''),'>',$L['N'],'</option>';
    echo '<option value="1"',($row['children']=='1' ? QSEL : ''),'>',$L['Y'],' ',$L['With_parent_agree'],'</option>';
    echo '<option value="2"',($row['children']=='2' ? QSEL : ''),'>',$L['Y'],' ',$L['Without_parent_agree'],'</option>';
    echo '</select>';
    echo '</td>';
    echo '</tr>';
    echo '<tr>';
    echo '<td class="th_o th_o_first">',$L['Parent_mail'],'</td>';
    echo '<td class="td_o"><input type="text" name="parentmail" size="32" maxlength="64" value="',$row['parentmail'],'"/></td>';
    echo '</tr>';
    }
  }
  echo '<tr>';

  if ( $bMap )
  {
    $strPosition  = '<p class="small" style="margin:2px 0 4px 2px;text-align:right">'.$L['map']['cancreate'];
    $strPosition .= ' | <a class="small" href="javascript:void(0)" onclick="createMarker(); return false;" title="'.$L['map']['H_pntadd'].'"/>'.$L['map']['pntadd'].'</a>';
    if ( !empty($row['x']) || !empty($row['y']) )
    {
      $strPosition  = '<p class="small" style="margin:2px 0 4px 2px;text-align:right">'.$L['map']['canmove'];
      $strPosition .= ' | <a class="small" href="javascript:void(0)" onclick="deleteMarker(); return false;"/>'.$L['map']['pntdelete'].'</a>';
    }
    $strPosition .= ' | <a class="small" href="javascript:void(0)" onclick="undoChanges(); return false;"/>'.$L['map']['undo'].'</a></p>';

    $strPosition .= '
    <div id="map_canvas" style="width:100%; height:340px;"></div>
    <input type="hidden" id="m_map_gcenter" name="m_map_gcenter" value="'.(!empty($row['y']) ? $row['y'].','.$row['x'] : '').'"/>
    ';
    $strPosition .= '<p class="small" style="margin:4px 0 2px 2px;text-align:right">'.$L['map']['addrlatlng'].' <input type="text" size="24" id="find" name="find" class="small" value="'.$_SESSION[QT]['m_map_gfind'].'" onKeyUp="handle_keypress(event,\'findit\')" title="'.$L['map']['H_addrlatlng'].'"/> <input type="submit" id="findit" class="small" onclick="showLocation(document.getElementById(\'find\').value); return false;" value="'.$L['Search'].'"/></p>';
    echo '<tr><td class="th_o th_o_first">',$L['map']['position'],'</td><td class="td_o">',$strPosition,'</td></tr>';
  }

  echo '<tr>';
  echo '<td class="th_o th_o_first">',$L['Privacy'],'</td>';
  echo '<td class="td_o">',$L['Email'],($bMap ? '/'.$L['map']['position'] : '');
  echo ' <select size="1" name="privacy">';
  echo '<option value="0"',($row['privacy']=='0' ? QSEL : ''),'>',$L['Privacy_visible'][0],'</option>';
  echo '<option value="1"',($row['privacy']=='1' ? QSEL : ''),'>',$L['Privacy_visible'][1],'</option>';
  echo '<option value="2"',($row['privacy']=='2' ? QSEL : ''),'>',$L['Privacy_visible'][2],'</option>';
  echo '</select></td>';
  echo '</tr>';

  echo '<td class="th_o th_o_first">&nbsp;<input type="hidden" name="id" value="',$id,'"/><input type="hidden" name="name" value="',$row['name'],'"/></td>',N;
  echo '<td class="td_o"><input type="submit" name="ok" value="',$L['Save'],'"/>&nbsp;';
  if ( !empty($error) ) echo '<span class="error">',$error,'</span>';
  echo '</td>';
  echo '<tr>',N;
  echo '</table>',N;
  echo '</form>',N;
  echo '</td>',N;
}
echo '</tr>',N;
echo '</table>',N,N;

// -- END EDIT PROFILE --
}
// -- END EDIT PROFILE --

// HTML END

if ( $bMap )
{
  // center
  if ( !empty($row['x']) && !empty($row['y']) )
  {
    $strUsername = QTconv($row['name'],'-4');
    $x = floatval($row['x']);
    $y = floatval($row['y']);
    $oMapPoint = new cMapPoint($y,$x,$strUsername);
    if ( isset($_SESSION[QT]['m_map_gsymbol']) )
    {
      $oMapPoint->icon = QTgetsymbol($row['role'],'icon');
      $oMapPoint->shadow = QTgetsymbol($row['role'],'shadow');
      $oMapPoint->printicon = QTgetsymbol($row['role'],'printicon');
      $oMapPoint->printshadow = QTgetsymbol($row['role'],'printshadow');
    }
    $arrMapPoints = array( $oMapPoint );
  }
  else
  {
    $x = QTgetx($_SESSION[QT]['m_map_gcenter']);
    $y = QTgety($_SESSION[QT]['m_map_gcenter']);
    $arrMapPoints = array();
  }
  if ( $bEdit )
  {
  $strFooterAddScript = QTgmappoints($L['map'],$y,$x,'drag',$arrMapPoints,true,false).N.'mapload();';
  }
  else
  {
  $strFooterAddScript = QTgmappoints($L['map'],$y,$x,'',$arrMapPoints,false,false).N.'mapload();';
  }
}

include('qtf_p_footer.php');

?>